#
# spec file for package gstreamer-plugins-bad
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with divx4linux
%bcond_with LV2

# Disabled for now in upstream tarball, not ported
%bcond_with     gstvdp

Name:           gstreamer-plugins-bad
# Patched code is built by default.
# Use rpmbuild -D 'BUILD_ORIG 1' to build original code.
# Use rpmbuild -D 'BUILD_ORIG 1' -D 'BUILD_ORIG_ADDON 1' to build patched build plus original as addon.
%define _name gst-plugins-bad
Version:        1.8.3
Release:        18.3.9
# FIXME: re-enable opencv BuildRequires once bnc#748666 is fixed (we don't want to depend on libxine!)
# FIXME: missing BuildRequires on libtiger (http://code.google.com/p/libtiger/)
%define gst_branch 1.0
Summary:        GStreamer Streaming-Media Framework Plug-Ins
License:        GPL-2.0+ and LGPL-2.1+
Group:          Productivity/Multimedia/Other
Url:            http://gstreamer.freedesktop.org/
%if 0%{?BUILD_ORIG}
Source:         http://gstreamer.freedesktop.org/src/gst-plugins-bad/%{_name}-%{version}.tar.xz
%else
Source:         %{_name}-%{version}-patched.tar.xz
# If the pre_checkin.sh patch source script fails due to a change in source tarball contents, you
# need to unpack the sources (this should already have happened) and examine the new plugin source
# for blacklisted content and if it's clean, edit the script and add to the allowed list in the script
%endif
Source1:        %{name}-patch-source.sh
Source2:        gstreamer-plugins-bad.appdata.xml
Source99:       baselibs.conf
# PATCH-FIX-UPSTREAM gstreamer-revert-bogus-automake-version.patch bgo# zaitor@opensuse.org --
Patch1:         gstreamer-revert-bogus-automake-version.patch
# PATCH-FIX-UPSTREAM gstreamer-h264-size.patch bsc#1013659 mgorse@suse.com -- h264parse: Ensure codec_data has the required size when reading number of SPS
Patch2:         gstreamer-h264-size.patch
# PATCH-FIX-UPSTREAM gstreamer-mptssection-add-checks.patch bsc#1013678 mgorse@suse.com -- add more section size checks.
Patch3:         gstreamer-mptssection-add-checks.patch
# PATCH-FIX-UPSTREAM gstreamer-mptssection-fix-pat-parsing.patch bsc#1013680 mgorse@suse.com -- mptssection: fix pat parsing.
Patch4:         gstreamer-mptssection-fix-pat-parsing.patch
# PATCH-FIX-UPSTREAM gstreamer-plugins-bad-vmncdec-sanity-check.patch bnc#1010829 aplazas@suse.com -- CVE-2016-9445 CVE-2016-9446
Patch5:         gstreamer-plugins-bad-vmncdec-sanity-check.patch
# PATCH-FIX-UPSTREAM gstreamer-mxfdemux-use-after-free.patch boo#1024044 mgorse@suse.com -- set stream tags to NULL after unrefing.
Patch6:         gstreamer-mxfdemux-use-after-free.patch
# PATCH-FIX-UPSTREAM gstreamer-mpegdemux-Handle-system-header-timestamp.patch boo#1024068 mgorse@suse.com -- handle system header when scanning for timestamps.
Patch7:         gstreamer-mpegdemux-Handle-system-header-timestamp.patch
# PATCH-FIX-UPSTREAM gstreamer-psmux-rewrite.patch boo#1024068 mgorse@suse.com -- rewrite PSM parsing using GstByteReader.
Patch8:         gstreamer-psmux-rewrite.patch
# PATCH-FIX-UPSTREAM gstreamer-mpegdemux-extra-length-checks.patch boo#1024068 mgorse@suse.com -- mpegdemux: Add extra length checks to TS scanning.
Patch9:         gstreamer-mpegdemux-extra-length-checks.patch
# Not ported yet
#BuildRequires:  SDL-devel
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  glib2-devel >= 2.40.0
# needed for patch1
BuildRequires:  gnome-common
BuildRequires:  gstreamer-devel >= 1.8.0
BuildRequires:  gstreamer-plugins-base-devel >= 1.8.0
BuildRequires:  gtk-doc
BuildRequires:  ladspa-devel
%if 0%{?is_opensuse}
BuildRequires:  libbs2b-devel
%endif
BuildRequires:  libgme-devel
BuildRequires:  libgsm-devel
BuildRequires:  libjasper-devel
BuildRequires:  libmpcdec-devel
BuildRequires:  orc >= 0.4.11
BuildRequires:  python-base
BuildRequires:  translation-update-upstream
%ifarch %ix86 ppc x86_64
BuildRequires:  valgrind-devel
%endif
BuildRequires:  pkgconfig(bluez)
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(cairo)
# Not yet in openSUSE
#BuildRequires:  pkgconfig(daala)
BuildRequires:  pkgconfig(dirac) >= 0.10
BuildRequires:  pkgconfig(dvdnav) >= 4.1.2
BuildRequires:  pkgconfig(dvdread) >= 4.1.2
# Not yet in openSUSE
#BuildRequires:  pkgconfig(flite)
%if 0%{?suse_version} != 1315
BuildRequires:  pkgconfig(fluidsynth)
%endif
BuildRequires:  pkgconfig(gio-2.0) >= 2.25.0
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(gtk+-3.0) >= 2.91.3
BuildRequires:  pkgconfig(gtk+-x11-3.0) >= 2.91.3
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(kate) >= 0.1.7
BuildRequires:  pkgconfig(libass) >= 0.10.2
%if 0%{?suse_version} != 1315
BuildRequires:  pkgconfig(libchromaprint)
%endif
BuildRequires:  pkgconfig(libcrypto)
BuildRequires:  pkgconfig(libcurl) >= 7.35.0
# Plugin not ported yet
#BuildRequires:  pkgconfig(libdc1394-2) >= 2.0.0
BuildRequires:  pkgconfig(libexif) >= 0.6.16
# Not yet in openSUSE
#BuildRequires:  pkgconfig(libmimic) >= 1.0
BuildRequires:  pkgconfig(libmms) >= 0.4
BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(libofa) >= 0.9.3
# SLE12 doesn't ship libopenjpeg
%if 0%{?suse_version} != 1315
BuildRequires:  pkgconfig(libopenjpeg1)
%endif
BuildRequires:  pkgconfig(libpng) >= 1.2
BuildRequires:  pkgconfig(librsvg-2.0) >= 2.14
BuildRequires:  pkgconfig(libtimidity)
BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(lrdf)
BuildRequires:  pkgconfig(mjpegtools)
BuildRequires:  pkgconfig(neon)
BuildRequires:  pkgconfig(nettle)
%if 0%{?suse_version} != 1315
BuildRequires:  pkgconfig(openal)
%endif
# Disabled because of bnc#748666
#BuildRequires:  pkgconfig(opencv)
BuildRequires:  pkgconfig(OpenEXR)
BuildRequires:  pkgconfig(libssh2) >= 1.4.3
BuildRequires:  pkgconfig(openssl) >= 0.9.5
BuildRequires:  pkgconfig(opus) >= 0.9.4
BuildRequires:  pkgconfig(sbc)
BuildRequires:  pkgconfig(schroedinger-1.0) >= 1.0.10
BuildRequires:  pkgconfig(sndfile) >= 1.0.16
BuildRequires:  pkgconfig(soundtouch)
BuildRequires:  pkgconfig(spandsp) >= 0.0.6
# Not yet in openSUSE
#BuildRequires:  pkgconfig(tiger) >= 0.3.2
BuildRequires:  pkgconfig(vdpau)
%if 0%{?is_opensuse}
BuildRequires:  pkgconfig(wayland-client) >= 1.0.0
BuildRequires:  pkgconfig(wayland-cursor) >= 1.0
%if 0%{?suse_version} >= 1320
BuildRequires:  pkgconfig(wayland-egl) >= 9.0
BuildRequires:  pkgconfig(wayland-scanner) >= 1.4.0
%endif
%endif
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb) >= 1.10
# Not available in SLE
%if 0%{?suse_version} >= 1320 || 0%{?is_opensuse}
BuildRequires:  pkgconfig(zbar) >= 0.9
%endif
BuildRequires:  pkgconfig(zvbi-0.2)
# FIXME: daala: Not in openSUSE
# FIXME: flite: Not in openSUSE
# FIXME: kate: can be enhanced with libtiger.
# FIXME: mimic: Requires libmimic.
# FIXME: nassink: Not in openSUSE ( provided by libaudio-devel, but plugin is not ported yet)
# FIXME: wildmidi: Requires  WildMIDI Open Source Midi Synthesizer
# NOTE: acm: Windows ACM library
# NOTE: ivorbisdec: Integer arithmetic OGG Vorbis decoder. Interesting only for platforms without FPU.
# NOTE: swfdec: Requires obsolete swfdec version.
# NOTE: theoraexpdec: It's intender for experimental OGG Theora decoder
# NOTE: qtwrapper directdrawsink wininet: (Probably) not intended for Linux
# NOTE: spc: Requires OpenSPC: SPC music files dumped by ZSNES and SNES9X. libgme already provides better support for such files in an arch-independent way
%if 0%{?BUILD_ORIG}
# FIXME: Enable more modules.
BuildRequires:  faac-devel
BuildRequires:  faad2-devel
# Not ported yet
#BuildRequires:  libaudio-devel
BuildRequires:  libdca-devel
# Not ported yet
#BuildRequires:  libxvidcore-devel
BuildRequires:  pkgconfig(librtmp)
BuildRequires:  pkgconfig(vo-aacenc) >= 0.1.0
BuildRequires:  pkgconfig(vo-amrwbenc) >= 0.1.0
BuildRequires:  pkgconfig(x265)
%if %{with LV2}
# Not ported yet
#BuildRequires:  pkgconfig(slv2) >= 0.6.6
%endif
%ifarch %ix86
# binary only so make conditional
%if %{with divx4linux}
BuildRequires:  divx4linux-devel
%endif
%endif
%endif
%if 0%{?suse_version} >= 1140
Requires(post): glib2-tools
Requires(postun): glib2-tools
%endif
%define gstreamer_plugins_bad_req %(xzgrep --text "^GST.*_REQ" %{S:0} | sort -u | sed 's/GST_REQ=/gstreamer >= /;s/GSTPB_REQ=/gstreamer-plugins-base >= /' | tr '\\n' ' ')
Requires:       %gstreamer_plugins_bad_req
Recommends:     %{name}-lang
Enhances:       gstreamer
# Generic name, never used in SuSE:
Provides:       gst-plugins-bad = %{version}
%if 0%{?BUILD_ORIG}
%if 0%{?BUILD_ORIG_ADDON}
Provides:       patched_subset
%else
Provides:       %{name}-orig-addon = %{version}
Obsoletes:      %{name}-orig-addon
%endif
%else
Provides:       patched_subset
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%if 0%{?BUILD_ORIG}
%if 0%{?BUILD_ORIG_ADDON}

%package orig-addon
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          Productivity/Multimedia/Other
Requires:       %{name} >= %{version}
Supplements:    %{name}
# Generic name, never used in SuSE:
Provides:       gst-plugins-bad:%{_libdir}/gstreamer-%{gst_branch}/libgstxvid.so = %{version}

%description orig-addon
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%endif
%endif

%package -n libgstadaptivedemux-1_0-0
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/Libraries

%description -n libgstadaptivedemux-1_0-0
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%package -n libgstbadaudio-1_0-0
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/Libraries

%description -n libgstbadaudio-1_0-0
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%package -n libgstbasecamerabinsrc-1_0-0
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/Libraries

%description -n libgstbasecamerabinsrc-1_0-0
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%package -n libgstbadbase-1_0-0
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/Libraries

%description -n libgstbadbase-1_0-0
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%package -n libgstbadvideo-1_0-0
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/Libraries

%description -n libgstbadvideo-1_0-0
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%package -n libgstphotography-1_0-0
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/Libraries

%description -n libgstphotography-1_0-0
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%package -n libgstplayer-1_0-0
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/Libraries

%description -n libgstplayer-1_0-0
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%package -n libgstvdp-1_0-0
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/Libraries

%description -n libgstvdp-1_0-0
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%if 0%{?is_opensuse}
%package -n libgstwayland-1_0-0
Summary:        GStreamer Streaming-Media Framework Plug-Ins - Wayland backend
Group:          System/Libraries

%description -n libgstwayland-1_0-0
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.
%endif

%package -n libgstcodecparsers-1_0-0
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/Libraries

%description -n libgstcodecparsers-1_0-0
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%package -n libgstgl-1_0-0
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/Libraries

%description -n libgstgl-1_0-0
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%package -n libgstinsertbin-1_0-0
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/Libraries

%description -n libgstinsertbin-1_0-0
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%package -n libgstmpegts-1_0-0
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/Libraries

%description -n libgstmpegts-1_0-0
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%package -n libgsturidownloader-1_0-0
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/Libraries

%description -n libgsturidownloader-1_0-0
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%package -n libgstvdpau
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/Libraries

%description -n libgstvdpau
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%package devel
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          Development/Libraries/C and C++
Requires:       gstreamer-devel
Requires:       libgstadaptivedemux-1_0-0 = %{version}
Requires:       libgstbadbase-1_0-0 = %{version}
Requires:       libgstbadvideo-1_0-0 = %{version}
Requires:       libgstbasecamerabinsrc-1_0-0 = %{version}
Requires:       libgstcodecparsers-1_0-0 = %{version}
Requires:       libgstgl-1_0-0 = %{version}
Requires:       libgstinsertbin-1_0-0 = %{version}
Requires:       libgstmpegts-1_0-0 = %{version}
Requires:       libgstphotography-1_0-0 = %{version}
Requires:       libgsturidownloader-1_0-0 = %{version}
%if %{with gstvdp}
Requires:       libgstvdp-1_0-0 = %{version}
%endif

%description devel
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%package doc
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description doc
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%lang_package
%prep
%setup -q -n %{_name}-%{version}
# t-u-u is broken....
#translation-update-upstream po gst-plugins-bad-%%{gst_branch}
%patch1 -p1 -R
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure\
    --disable-static\
    --disable-examples\
    --enable-gtk-doc \
    --with-gtk=3.0 \
%if 0%{?is_opensuse}
    --enable-wayland
%else
    --disable-wayland
%endif
%__make %{?_smp_mflags}

%install
%makeinstall
if [ -f %{buildroot}%{_datadir}/appdata/gstreamer-plugins-bad.appdata.xml ]; then
  echo "Please remove the added gstreamer-plugins-bad.appdata.xml file from the sources - the tarball installs it"
  false
else
  mkdir -p %{buildroot}%{_datadir}/appdata
  cp %{S:2} %{buildroot}%{_datadir}/appdata/
fi
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
%find_lang %{_name}-%{gst_branch}
%fdupes %{buildroot}%{_datadir}/gtk-doc/html/*/*.png

%post
%glib2_gsettings_schema_post

%postun
%glib2_gsettings_schema_postun

%post -n libgstadaptivedemux-1_0-0 -p /sbin/ldconfig

%post -n libgstbadaudio-1_0-0 -p /sbin/ldconfig

%post -n libgstbadbase-1_0-0 -p /sbin/ldconfig

%post -n libgstbadvideo-1_0-0 -p /sbin/ldconfig

%post -n libgstbasecamerabinsrc-1_0-0 -p /sbin/ldconfig

%post -n libgstcodecparsers-1_0-0 -p /sbin/ldconfig

%post -n libgstgl-1_0-0 -p /sbin/ldconfig

%post -n libgstinsertbin-1_0-0 -p /sbin/ldconfig

%post -n libgstmpegts-1_0-0 -p /sbin/ldconfig

%post -n libgstphotography-1_0-0 -p /sbin/ldconfig

%post -n libgstplayer-1_0-0 -p /sbin/ldconfig

%post -n libgsturidownloader-1_0-0 -p /sbin/ldconfig

%post -n libgstvdp-1_0-0 -p /sbin/ldconfig

%if 0%{?is_opensuse}
%post -n libgstwayland-1_0-0 -p /sbin/ldconfig
%endif

%postun -n libgstadaptivedemux-1_0-0 -p /sbin/ldconfig

%postun -n libgstbadaudio-1_0-0 -p /sbin/ldconfig

%postun -n libgstbadbase-1_0-0 -p /sbin/ldconfig

%postun -n libgstbadvideo-1_0-0 -p /sbin/ldconfig

%postun -n libgstbasecamerabinsrc-1_0-0 -p /sbin/ldconfig

%postun -n libgstgl-1_0-0 -p /sbin/ldconfig

%postun -n libgstmpegts-1_0-0 -p /sbin/ldconfig

%postun -n libgstphotography-1_0-0 -p /sbin/ldconfig

%postun -n libgstplayer-1_0-0 -p /sbin/ldconfig

%postun -n libgstcodecparsers-1_0-0 -p /sbin/ldconfig

%postun -n libgstinsertbin-1_0-0 -p /sbin/ldconfig

%postun -n libgsturidownloader-1_0-0 -p /sbin/ldconfig

%postun -n libgstvdp-1_0-0 -p /sbin/ldconfig

%if 0%{?is_opensuse}
%postun -n libgstwayland-1_0-0 -p /sbin/ldconfig
%endif

%files
#    File not found: /usr/lib64/gstreamer-0.10/libgstmetadata.so
#    File not found: /usr/lib64/gstreamer-0.10/libgstselector.so
#    File not found: /usr/lib64/gstreamer-0.10/libgstvalve.so
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB NEWS README RELEASE REQUIREMENTS
%dir %{_datadir}/gstreamer-%{gst_branch}/presets/
%{_datadir}/gstreamer-%{gst_branch}/presets/GstFreeverb.prs
%dir %{_datadir}/appdata/
%{_datadir}/appdata/gstreamer-plugins-bad.appdata.xml
%{_libdir}/gstreamer-%{gst_branch}/libgstaccurip.so
%{_libdir}/gstreamer-%{gst_branch}/libgstadpcmdec.so
%{_libdir}/gstreamer-%{gst_branch}/libgstadpcmenc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaiff.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstapexsink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstasfmux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstassrender.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudiofxbad.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudiomixer.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudiovisualizers.so
%{_libdir}/gstreamer-%{gst_branch}/libgstautoconvert.so
%{_libdir}/gstreamer-%{gst_branch}/libgstbayer.so
%{_libdir}/gstreamer-%{gst_branch}/libgstbluez.so
%if 0%{?is_opensuse}
%{_libdir}/gstreamer-%{gst_branch}/libgstbs2b.so
%endif
%{_libdir}/gstreamer-%{gst_branch}/libgstbz2.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcamerabin2.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstcdaudio.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstcdxaparse.so
%if 0%{?suse_version} != 1315
%{_libdir}/gstreamer-%{gst_branch}/libgstchromaprint.so
%endif
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstcog.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcoloreffects.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstcolorspace.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcompositor.so
%if 0%{?suse_version} >= 1315
%{_libdir}/gstreamer-%{gst_branch}/libgstcurl.so
%endif
%{_libdir}/gstreamer-%{gst_branch}/libgstdashdemux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdataurisrc.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstdc1394.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstdccp.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdebugutilsbad.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdecklink.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstdfbvideosink.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstdirac.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdtls.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdvb.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdvbsuboverlay.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfbdevsink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfestival.so
%if 0%{?suse_version} != 1315
%{_libdir}/gstreamer-%{gst_branch}/libgstfluidsynthmidi.so
%endif
%{_libdir}/gstreamer-%{gst_branch}/libgstfieldanalysis.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstfragmented.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfreeverb.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfrei0r.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgaudieffects.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgdp.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgeometrictransform.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgme.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgsm.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgtksink.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgsth264parse.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgsthdvparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgsthls.so
%{_libdir}/gstreamer-%{gst_branch}/libgstid3tag.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstinvtelecine.so
%{_libdir}/gstreamer-%{gst_branch}/libgstinter.so
%{_libdir}/gstreamer-%{gst_branch}/libgstinterlace.so
%{_libdir}/gstreamer-%{gst_branch}/libgstivfparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstivtc.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstjp2k.so
%{_libdir}/gstreamer-%{gst_branch}/libgstjp2kdecimator.so
%{_libdir}/gstreamer-%{gst_branch}/libgstjpegformat.so
%{_libdir}/gstreamer-%{gst_branch}/libgstkate.so
%{_libdir}/gstreamer-%{gst_branch}/libgstladspa.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstlegacyresample.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstlinsys.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstliveadder.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmidi.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmms.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmodplug.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstmpeg4videoparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmpegpsdemux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmpegpsmux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmpegtsdemux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmpegtsmux.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstmpegvideoparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmplex.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstmusepack.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstmve.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmxf.so
%{_libdir}/gstreamer-%{gst_branch}/libgstnetsim.so
%if 0%{?suse_version} != 1315
%{_libdir}/gstreamer-%{gst_branch}/libgstopenal.so
%endif
%{_libdir}/gstreamer-%{gst_branch}/libgstopenexr.so
%{_libdir}/gstreamer-%{gst_branch}/libgstopengl.so
%if 0%{?suse_version} != 1315
%{_libdir}/gstreamer-%{gst_branch}/libgstopenjpeg.so
%endif
%{_libdir}/gstreamer-%{gst_branch}/libgstopusparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstneonhttpsrc.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstnsf.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstnuvdemux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstofa.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstpatchdetect.so
%{_libdir}/gstreamer-%{gst_branch}/libgstpcapparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstpnm.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrawparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstremovesilence.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrfbsrc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrsvg.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstrtpbad.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrtponvif.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsbc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstschro.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstsdi.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstsdl.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsdpelem.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsegmentclip.so
%{_libdir}/gstreamer-%{gst_branch}/libgstshm.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsmooth.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsmoothstreaming.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsndfile.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsoundtouch.so
%{_libdir}/gstreamer-%{gst_branch}/libgstspandsp.so
%{_libdir}/gstreamer-%{gst_branch}/libgstspeed.so
%{_libdir}/gstreamer-%{gst_branch}/libgststereo.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsubenc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstteletextdec.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgsttimidity.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgsttrm.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgsttta.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvcdsrc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideofiltersbad.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideoframe_audiolevel.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstvideomaxrate.so
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstvideomeasure.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideoparsersbad.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideosignal.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvmnc.so
%if 0%{?suse_version} >= 1320 || 0%{?is_opensuse}
%{_libdir}/gstreamer-%{gst_branch}/libgstwaylandsink.so
%endif
%{_libdir}/gstreamer-%{gst_branch}/libgsty4mdec.so
%{_libdir}/gstreamer-%{gst_branch}/libgstyadif.so
%{_libdir}/gstreamer-%{gst_branch}/libgstresindvd.so
%{_libdir}/gstreamer-%{gst_branch}/libgstuvch264.so
%{_libdir}/gstreamer-%{gst_branch}/libgstwebp.so
%if 0%{?suse_version} >= 1320 || 0%{?is_opensuse}
%{_libdir}/gstreamer-%{gst_branch}/libgstzbar.so
%endif
%if 0%{?BUILD_ORIG}
%if 0%{?BUILD_ORIG_ADDON}

%files orig-addon
%defattr(-, root, root)
%endif
%ifarch %ix86
%if %{with divx4linux}
%{_libdir}/gstreamer-%{gst_branch}/libgstdivxdec.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdivxenc.so
%endif
%endif
%{_datadir}/gstreamer-%{gst_branch}/presets/GstVoAmrwbEnc.prs
%if 0%{?suse_version} == 1310
%{_libdir}/gstreamer-%{gst_branch}/libgstcurl.so
%endif
%{_libdir}/gstreamer-%{gst_branch}/libgstvoamrwbenc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvoaacenc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdtsdec.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdvdspu.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfaac.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfaad.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmpeg2enc.so
# Not ported yet
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstnassink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrtmp.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsiren.so
# Not ported yet
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstxvid.so
%{_libdir}/gstreamer-%{gst_branch}/libgstx265.so
%if %{with LV2}
# Not ported yet
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstlv2.so
%endif
%endif

%files -n libgstadaptivedemux-1_0-0
%defattr(-, root, root)
%{_libdir}/libgstadaptivedemux-%{gst_branch}.so.0*

%files -n libgstbadaudio-1_0-0
%defattr(-, root, root)
%{_libdir}/libgstbadaudio-%{gst_branch}.so.0*

%files -n libgstbadbase-1_0-0
%defattr(-, root, root)
%{_libdir}/libgstbadbase-%{gst_branch}.so.0*

%files -n libgstbadvideo-1_0-0
%defattr(-, root, root)
%{_libdir}/libgstbadvideo-%{gst_branch}.so.0*

%files -n libgstphotography-1_0-0
%defattr(-, root, root)
%{_libdir}/libgstphotography-%{gst_branch}.so.0*

%files -n libgstplayer-1_0-0
%defattr(-, root, root)
%{_libdir}/libgstplayer-%{gst_branch}.so.0*

%files -n libgstgl-1_0-0
%defattr(-, root, root)
%{_libdir}/libgstgl-%{gst_branch}.so.0*

%files -n libgstbasecamerabinsrc-1_0-0
%defattr(-, root, root)
%{_libdir}/libgstbasecamerabinsrc-%{gst_branch}.so.0*

%files -n libgstcodecparsers-1_0-0
%defattr(-, root, root)
%{_libdir}/libgstcodecparsers-%{gst_branch}.so.0*

%files -n libgstinsertbin-1_0-0
%defattr(-, root, root)
%{_libdir}/libgstinsertbin-%{gst_branch}.so.0*

%files -n libgstmpegts-1_0-0
%defattr(-, root, root)
%{_libdir}/libgstmpegts-%{gst_branch}.so.0*

%files -n libgsturidownloader-1_0-0
%defattr(-, root, root)
%{_libdir}/libgsturidownloader-%{gst_branch}.so.0*

%files -n libgstvdpau
%defattr(-, root, root)
%{_libdir}/gstreamer-%{gst_branch}/libgstvdpau.so

%if %{with gstvdp}
%files -n libgstvdp-1_0-0
%defattr(-, root, root)
%{_libdir}/libgstvdp-%{gst_branch}.so.0*
%endif

%if 0%{?suse_version} >= 1320 || 0%{?is_opensuse}
%files -n libgstwayland-1_0-0
%defattr(-,root,root)
%{_libdir}/libgstwayland-1.0.so.*
%endif

%files devel
%defattr(-, root, root)
%{_includedir}/gstreamer-%{gst_branch}
%dir %{_libdir}/gstreamer-%{gst_branch}/include/gst/gl
%{_libdir}/gstreamer-%{gst_branch}/include/gst/gl/gstglconfig.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/gstreamer-bad-audio-1.0.pc
%{_libdir}/pkgconfig/gstreamer-bad-base-1.0.pc
%{_libdir}/pkgconfig/gstreamer-bad-video-1.0.pc
%{_libdir}/pkgconfig/gstreamer-codecparsers-%{gst_branch}.pc
%{_libdir}/pkgconfig/gstreamer-gl-%{gst_branch}.pc
%{_libdir}/pkgconfig/gstreamer-insertbin-%{gst_branch}.pc
%{_libdir}/pkgconfig/gstreamer-mpegts-1.0.pc
%{_libdir}/pkgconfig/gstreamer-player-1.0.pc
%{_libdir}/pkgconfig/gstreamer-plugins-bad-%{gst_branch}.pc

%files lang -f %{_name}-%{gst_branch}.lang

%files doc
%defattr(-, root, root)
%{_datadir}/gtk-doc/html/gst-plugins-bad-plugins-%{gst_branch}/
%{_datadir}/gtk-doc/html/gst-plugins-bad-libs-%{gst_branch}/

%changelog
* Thu Mar  2 2017 mgorse@suse.com
- Add gstreamer-mxfdemux-use-after-free.patch: set stream tags to
  NULL after unrefing (boo#1024044 CVE-2017-5843).
- Add gstreamer-mpegdemux-Handle-system-header-timestamp.patch,
  gstreamer-psmux-rewrite.patch, and
  gstreamer-mpegdemux-extra-length-checks.patch: rewrite PSM
  parsing to add bounds checking (boo#1024068 CVE-2017-5848).
* Tue Dec 13 2016 mgorse@suse.com
- Add gstreamer-h264-size.patch: ensure codec_data has the right
  size when reading number of SPS (boo#1013659 CVE-2016-9809).
- Add gstreamer-mptssection-add-checks.patch: add more section
  size checks (boo#1013678 CVE-2016-9812).
- Add gstreamer-mptssection-fix-pat-parsing.patch: fix PAT
  parsing (boo#1013680 CVE-2016-9813).
* Tue Nov 22 2016 adrien.plazas@suse.com
- Check an integer overflow (CVE-2016-9445) and initialize a buffer
  (CVE-2016-9446) in vmncdec. (bnc#1010829)
* Fri Sep  2 2016 fezhang@suse.com
- Disable libbs2b support when building on SLE.
* Mon Aug 22 2016 zaitor@opensuse.org
- Update to version 1.8.3 (boo#996937):
  + Bugs fixed: bgo#767492, bgo#769376, bgo#736227, bgo#768160,
    bgo#767553, bgo#761260, bgo#763044, bgo#763081, bgo#756866,
    bgo#768771, bgo#766662, bgo#766163, bgo#768146, bgo#766663,
    bgo#767792, bgo#767492, bgo#767635.
  + Updated translations.
* Fri Aug 12 2016 zaitor@opensuse.org
- Move libbs2b-devel BuildRequires and corresponding plugin to
  main package. There is no need for this to be in the addon one.
* Mon Jul 11 2016 fcrozat@suse.com
- Really disable wayland support on SLE12.
* Mon Jun 20 2016 fcrozat@suse.com
- Disable zbar support when building on SLE.
* Wed Jun 15 2016 dimstar@opensuse.org
- Enable zbar support (needed for a new key-signing tool):
  + Add pkgconfig(zbar) BuildRequires.
* Wed Jun 15 2016 zaitor@opensuse.org
- Drop pkgconfig(libcdaudio) BuildRequires: No longer needed, nor
  used anymore.
- Remove obsolete clean section and a no longer meaningful
  conditional.
* Tue Jun 14 2016 zaitor@opensuse.org
- Update to version 1.8.2:
  + bgo#756948: directsoundsrc: Audio Device not found on Windows
    (string encoding not honored).
  + bgo#764758: vulkan didn't build out of tree due to vkconfig.h.
  + bgo#765324: compositor: crashes on NULL pointer in
    _aggregate_frames().
  + bgo#765456: vtdec: Strange bug re-encoding video with GST 1.8.1
    on Mac OS 10.10.
  + bgo#765926: mpegtsmux: Set PTS on aligned buffers.
  + bgo#766190: vtdec: corrupted rendering on OSX.
  + bgo#766213: openjpeg plugin needs to be ported to libopenjp2
    v2.1.
  + bgo#766289: amc: cannot play some files on android.
  + bgo#766422: videoaggregator: rtspsrc ! compositor produces no
    output.
  + bgo#766441: OpenBSD does not use librt, but provides the needed
    functions in libc.
  + bgo#766520: gl: win32: race when handling window messages while
    creating the internal window.
  + bgo#766611: gl: buffer pool configuration error with
    caopengllayersink.
  + bgo#766638: ahc: fix possible NULL deref.
  + bgo#766732: openjpegenc: Doesn't manage MCT switch for RGB and
    YUV frames.
  + bgo#767298: amc: gst_object_unref on caps.
  + bgo#767302: ahcsrc: div by 0 warning.
* Thu Jun  2 2016 sbrabec@suse.com
- Make baselibs.conf consistent with spec file (boo#980893).
* Tue May 24 2016 dimstar@opensuse.org
- Drop pkgconfig(libmusicbrainz): gstreamer does not depend on it
  directly.
* Thu May 19 2016 alarrosa@suse.com
- Update to GNOME 3.20.2 (Fate#318572)
* Thu Apr 21 2016 zaitor@opensuse.org
- Update to version 1.8.1:
  + bgo#760473: OpenCV face detection does not work with OpenCV
    newer than 2.4.11.
  + bgo#747633: decklinkvideosrc: crash in
    ::VideoInputFrameArrived() callback with video_frame=NULL.
  + bgo#762924: interlace: negotiation fails unexpectedly.
  + bgo#763324: nvenc fails to compile with Nvidia video SDK 6.0.
  + bgo#763404: bad: video sink: Post un-handled keyboard/mouse
    events as message to application.
  + bgo#763862: mxfmux: Instead of releasing request pads on
    stop(), clear them only.
  + bgo#764148: gtkglsink doesn't fail to create on incompatible
    hardware.
  + bgo#764339: ahcsrc: g_object_class_install_property: assertion
    'pspec- > flags & G_PARAM_WRITABLE' during initialization.
  + bgo#764363: videoaggregator: Does not take into account the
    best output format that is computed.
  + bgo#764404: hlsdemux: Assertion with AES encrypted stream.
  + bgo#764448: h264parse: constrained-baseline is a subset of
    baseline.
  + bgo#764523: -lole32 is missing for libgstdirectsoundsrc.
  + bgo#764545: Crash when trying to use vulkan sink.
  + bgo#765005: mpegtsmux: memory leak caused by pad_data- >
    language.
  + bgo#765194: caopengllayersink: renders blurry content on HiDPI
    screens because contentsScale is ignored.
  + bgo#765241: glimagesink: need to clean window_id when state
    change form READY to NULL.
  + bgo#765079: srtpdec request-key is not signaled if roc is
    missing.
- Clean up spec file, properly escape disabled plugins and macros.
  Make rpmlint report readable again. Also remove an obsolete
  source repack comment, we do it via pre_checkin.sh now.
- No longer pass V=1 to make, stop littering buildlogs and
  debugging is done local anyway.
- Add some missing post/postun handling.
- Add pkgconfig(bluez), pkgconfig(x265) and libbs2b-devel
  BuildRequires and replace librtmp-devel for pkgconfig(librtmp):
  Build more supported plugins.
- Disable a few BuildRequires that are not ported yet, no need to
  pull unused BuildRequires: SDL-devel, pkgconfig(daala),
  pkgconfig(flite), pkgconfig(libdc1394-2), libaudio-devel and
  libxvidcore-devel.
- Split out a new libgstvdpau in an own sub-package, vdpau support
  is not needed for people not running nvidia binary driver.
- Add fdupes BuildRequires and add macro to install section.
- Stop passing --enable-experimental to configure, currently we are
  not building any experimental plugins, nor should we in the
  future.
* Wed Apr 13 2016 idonmez@suse.com
- Update to GNOME 3.20  Fate#318572
- Remove gstreamer-plugins-bad-real.patch
* Sat Mar 26 2016 zaitor@opensuse.org
- Update to version 1.8.0:
  + Hardware-accelerated zero-copy video decoding on Android
  + New video capture source for Android using the
    android.hardware.Camera API.
  + Windows Media reverse playback support (ASF/WMV/WMA).
  + New tracing system provides support for more sophisticated
    debugging tools.
  + New high-level GstPlayer playback convenience API.
  + Initial support for the new Vulkan API, see Matthew Waters'
    blog post for more details.
  + Improved Opus audio codec support: Support for more than two
    channels; MPEG-TS demuxer/muxer can now handle Opus;
    sample-accurate encoding/decoding/transmuxing with Ogg,
    Matroska, ISOBMFF (Quicktime/MP4), and MPEG-TS as container;
    new codec utility functions for Opus header and caps handling
    in pbutils library. The Opus encoder/decoder elements were
    also moved to gst-plugins-base (from -bad), and the opus RTP
    depayloader/payloader to -good.
  + GStreamer VAAPI module now released and maintained as part of
    the GStreamer project.
  + Asset proxy support in the GStreamer Editing Services.
  + Bugs fixed: bgo#763756, bgo#763793, bgo#763877, bgo#763974,
    bgo#764066, bgo#763262.
- Add pkgconfig(xcb) and pkgconfig(wayland-scanner) BuildRequires:
  New dependencies.
- Add 2 new subpackages and handle them in post/un
  + libsgtbadaudio and libgstplayer.
* Wed Feb 17 2016 dimstar@opensuse.org
- Add gstreamer-plugins-bad.appdata.xml so that the codecs can
  show up in a Software Center.
* Thu Jan 28 2016 dimstar@opensuse.org
- Add libgstadaptivedemux-1_0-0 to baselibs.conf.
* Thu Jan 21 2016 badshah400@gmail.com
- Update to version 1.6.3:
  + Fix regression in GL library that made glimagesink unsable on
    Android.
  + Integer arithmetic overflow in queue2 element that could break
    buffering or cause crashes due to NULL pointer dereference.
  + Fix crash in AAC/ADTS typefinder caused by reading more memory
    than is available.
  + Stop ignoring encoder errors in the VP8/VP9 encoders.
  + Deprecate GstVideoEncoder GST_VIDEO_ENCODER_FLOW_DROPPED. It's
    redudant and was never actually implemented.
  + Ensure to store the correct video info in GstVideoBufferPool.
  + Fix caps in rtspsrc when doing SRTP over interleaved TCP.
  + Fix crash in pcap parser on 0-sized packets.
  + Clear EOS flag in appsrc to allow reuse after EOS and
    flushing.
  + Ignore flushing streams in streamsynchronizer during stream
    switches to fix problems caused by this in
    gst-editing-services.
  + Ignore tags and other metadata in WAV files after the "data"
    chunk in PUSH mode to prevent them from being interpreted as
    audio.
  + Correctly use colorimetry in v4l2 only for YUV color formats.
  + Set reserved bits in MPEG TS muxer to 1s.
  + Fix calculation of SBC frame lengths.
  + Fix output of the RTP JPEG2000 depayloader to have one frame
    per buffer and crash in the OpenJPEG decoder on incomplete
    frames.
  + Update ffmpeg snapshot in gst-libav to 2.8.5.
  + Memory leak fixes in scaletempo, the raw video RTP
    depayloader, and in playsink related to audio/video filters.
  + Fixes for error handling in the OSX audio plugin.
  + Various gobject-introspection annotation fixes and additions.
  + Compiler warning fixes for latest clang compiler.
* Wed Jan  6 2016 dimstar@opensuse.org
- Update to version 1.6.2:
  + Crashes in gst-libav with sinks that did not provide a buffer
    pool but supported video metadata were fixed. This affected
    d3dvideosink and some 3rd party sinks. Also related fixes for
    crashes when a downstream buffer pool failed allocation.
  + Big GL performance improvement on iOS by a factor of 2 by using
    Apple's sync extension.
  + Deadlocks in the DirectSound elements on Windows, and the
    behaviour of its mute property were fixed.
  + The Direct3D video sink does not crash anymore when minimizing
    the window.
  + The library soname generation on Android >= 6.0 was fixed,
    which previously caused GStreamer to fail to load there.
  + File related elements have large-file (>2GB) support on Android
    now.
  + gst-libav was updated to ffmpeg 2.8.3.
  + Deserialization of custom events in the GDP depayloader was
    fixed.
  + Missing OpenGL context initialization in the Qt/QML video sink
    was fixed in certain situations.
  + Interoperability with some broken RTSP servers using HTTP
    tunnel was improved.
  + Various compilation fixes for Windows.
  + Various smaller memory leak and other fixes in different
    places.
  + Bugs fixed: bgo#734098, bgo#738292, bgo#741608, bgo#753823,
    bgo#755106, bgo#755222, bgo#755614, bgo#756028, bgo#756951,
    bgo#757155, bgo#757264, bgo#757453, bgo#757454, bgo#757732,
    bgo#757854, bgo#757873, bgo#757895, bgo#757924, bgo#757929,
    bgo#757935, bgo#758029, bgo#758151, bgo#758204, bgo#758205,
    bgo#758276, bgo#758285, bgo#758286, bgo#758337, bgo#758344,
    bgo#758512, bgo#758620, bgo#758861, bgo#758912, bgo#758913,
    bgo#758921, bgo#759019, bgo#759380.
* Mon Dec 28 2015 joerg.lorenzen@ki.tng.de
- Fix build for Leap 42.1.
* Thu Dec 17 2015 fcrozat@suse.com
- Do not BuildRequires pkgconfig(wayland-egl) on SLE.
* Fri Nov 27 2015 zaitor@opensuse.org
- Add pkgconfig(libssh2) BuildRequires: Build ssh support.
- Add libcurl.so to BUILD_ORIG file list for openSUSE 13.1 only,
  as packman builds against Update where a new enough version is
  provided.
* Sat Oct 31 2015 zaitor@opensuse.org
- Update to version 1.6.1:
  + Bugs fixed: bgo#756567, bgo#752132, bgo#752230, bgo#754523,
    bgo#755108, bgo#755132, bgo#755134, bgo#755239, bgo#755623,
    bgo#755680, bgo#755738, bgo#755754, bgo#755759, bgo#755824,
    bgo#755840, bgo#755850, bgo#755852, bgo#755892, bgo#755969,
    bgo#755981, bgo#756001, bgo#756065, bgo#756070, bgo#756181,
    bgo#756186, bgo#756383, bgo#756563, bgo#756578, bgo#756592,
    bgo#756617, bgo#756653, bgo#756861, bgo#756876, bgo#757251.
- Add gstreamer-revert-bogus-automake-version.patch, upstream
  bumped automake req to high.
* Fri Oct  2 2015 zaitor@opensuse.org
- Update to version 1.6.0:
  + For changelog, see mainpackage changes, everything is condensed
    there.
- Rebase gstreamer-plugins-bad-patch-source.sh, add new plugins.
- Drop gstreamer-plugins-bad-real.patch: real plugin was dropped
  from gstreamer-bad package.
- Add new sub-package libgstadaptivedemux-1_0-0 and handle it in
  %%post/postun.
* Thu Mar 26 2015 dimstar@opensuse.org
- Change from simple %%defines to %%bcond_with/without, as this
  allows to be set in prjconf without the need to patch the .spec
  files.
- Create new subpackage libgstwayland-1_0-0.
* Tue Jan 13 2015 adam@mizerski.pl
- added BuildRequires: pkgconfig(nettle) to enable building hls plugin
* Fri Dec 26 2014 zaitor@opensuse.org
- Update to version 1.4.5:
  + Bugs fixed: bgo#722764, bgo#729768, bgo#739152, bgo#740191,
    bgo#740201, bgo#740451, bgo#740953, bgo#741321.
- Remove obsolete FIXME entries about pkgconfig(wayland-client)
  BuildRequires, we have had this enabled for a while.
* Mon Dec 15 2014 fcrozat@suse.com
- Disable BuildRequires on libchromaprint, fluidsynth and openAL on
  SLE12.
* Sat Nov 15 2014 zaitor@opensuse.org
- Enable pkgconfig(libchromaprint) BuildRequires, build
  chromaprint plugin.
* Fri Nov 14 2014 zaitor@opensuse.org
- Update to version 1.4.4:
  + bgo#732239, bgo#733510, bgo#734156, bgo#736319, bgo#737186,
    bgo#737569, bgo#737658, bgo#737724, bgo#738067, bgo#738223,
    bgo#738230, bgo#738243, bgo#738291, bgo#738449, bgo#738519,
    bgo#738532, bgo#738674, bgo#738695, bgo#738696, bgo#739277,
    bgo#739348, bgo#739368, bgo#739374.
  + Updated translations.
* Mon Oct 27 2014 zaitor@opensuse.org
- Add pkgconfig(fluidsynth), pkgconfig(gudev-1.0),
  pkgconfig(libusb-1.0), pkgconfig(libwebp), pkgconfig(libxml-2.0),
  pkgconfig(OpenEXR) and pkgconfig(sbc) BuildRequires, build more
  plugins.
* Thu Sep 25 2014 dimstar@opensuse.org
- Update to version 1.4.3:
  + Bugs fixed: bgo#735861, bgo#736090, bgo#736390, bgo#736426,
    bgo#736474, bgo#736490, bgo#736729, bgo#736730, bgo#736731,
    bgo#736732, bgo#736733, bgo#736735, bgo#736750, bgo#736871,
    bgo#736919, bgo#736951.
  + Updated translations.
* Wed Sep 17 2014 idonmez@suse.com
- Remove openal dependency bnc#886207
* Thu Sep 11 2014 hrvoje.senjan@gmail.com
- Sync baselibs.conf with changes done with update to 1.4:
  swap libgstegl-1_0-0 with libgstgl-1_0-0, and added new packages;
  libgstbadbase-1_0-0 and libgstbadvideo-1_0-0.
* Thu Aug 28 2014 zaitor@opensuse.org
- Update to version 1.4.1:
  + Bugs fixed: bgo#678485, bgo#725871, bgo#730509, bgo#731824,
    bgo#733245, bgo#733426, bgo#733487, bgo#733490, bgo#733545,
    bgo#733726, bgo#733837, bgo#734014, bgo#734015, bgo#734269,
    bgo#734394, bgo#734517, bgo#734519, bgo#734520, bgo#734521,
    bgo#734522, bgo#734524, bgo#734528, bgo#734531, bgo#734533,
    bgo#734534, bgo#734536, bgo#734537, bgo#734539, bgo#734544,
    bgo#734763, bgo#734830, bgo#735078.
  + Updated translations.
* Mon Jul 21 2014 dimstar@opensuse.org
- Update to version 1.4.0:
  + Major changes:
  - v4l2videodec element for accessing hardware codecs on
    platforms that make them accessible via V4L2.
    The v4l2videodec element replaces the mfcdec element.
  - New downloadbuffer element that replaces the download
    buffering feature of queue2. Compared to queue2's code
    it is much simpler and only for this single use case.
  - rtpstreampay and rtpstreamdepay elements for transmitting
    RTP packets over a stream API (e.g. TCP) according to
    RFC 4571.
  - rtprtx elements for standard compliant implementation of
    retransmissions, integrated into the rtpmanager plugin.
  - audiomixer element that mixes multiple audio streams together
    into a single one while keeping synchronization. This is
    planned to become the replacement of the adder element.
  - OpenNI2 plugin for 3D cameras like the Kinect camera.
  - OpenEXR plugin for decoding high-dynamic-range EXR images.
  - curlsshsink and curlsftpsink to write files via SSH/SFTP.
  - videosignal, ivfparse and sndfile plugins ported from 0.10.
  - avfvideosrc, vtdec and other elements were ported from 0.10
    and are available on OS X and iOS now.
- Add audiomixer and compositor to the list of allowed plugins.
- Split new subpackages libgstbadbase-1_0-0, libgstgl-1_0-0  and
  libgstbadvideo-1_0-0.
- Drop old subpackage libgstegl-1_0-0.
- Adjust -devel package requirements, following the subpackages.
- Package baselibs.conf.
* Mon Apr 28 2014 fcrozat@suse.com
- Do not build libopenjpeg support on SLE12.
* Fri Apr 25 2014 dimstar@opensuse.org
- Update to version 1.2.4:
  + Bugs fixed: bgo#724013, bgo#725137, bgo#725140.
* Sun Feb  9 2014 zaitor@opensuse.org
- Update to version 1.2.3:
  + Bugs fixed: bgo#709241, bgo#711163, bgo#721382, bgo#721384,
    bgo#721715, bgo#722158, bgo#722414, bgo#722622, bgo#723127,
    bgo#723134, bgo#723230, bgo#723398.
  + Updated translations.
* Tue Dec 31 2013 zaitor@opensuse.org
- Update to version 1.2.2:
  + Bugs fixed: bgo#667564, bgo#680700, bgo#706211, bgo#709416,
    bgo#710223, bgo#711495, bgo#712219, bgo#712605, bgo#715166,
    bgo#719657, bgo#720099, bgo#720421, bgo#720532, bgo#720673.
* Mon Nov 11 2013 dimstar@opensuse.org
- Update to version 1.2.1:
  + Bugs fixed: bgo#690148, bgo#707974, bgo#708161, bgo#708222,
    bgo#708849, bgo#709145, bgo#709373, bgo#709531, bgo#709886,
    bgo#710392, bgo#710433, bgo#710451, bgo#710657, bgo#710881,
    bgo#711135, bgo#711156, bgo#711214, bgo#711615, bgo#711627,
    bgo#711721.
  + Updated translations.
- Replace autoconf BuildRequires with gnome-common: we need to run
  a full cycle of autogen.sh.
- Run autogen.sh instead of autoconf (autoconf does not refresh all
  files needed and some happen to have stale information
  afterwards).
- Define an alias for git=true: autogen.sh would want to update the
  git snapshot for us, which we do not want to happen.
* Tue Oct 22 2013 dimstar@opensuse.org
- Update to version 1.2.0:
  + A bunch of API changes (new stable branch 1.2).
  + New tool: gst-play-1.0 in gst-plugins-base for basic playback
    testing on the command line.
  + New plugins:
  - mssdemux for Microsoft Smooth Streaming.
  - dashdemux for DASH adaptive streaming protocol.
  - bluez for interaction with Bluetooth devices.
  - openjpeg for JPEG2000 decoding and encoding.
  - daala for experimental Daala decoding and encoding.
  - vpx plugin has experimental VP9 decoding and encoding
    support.
  - webp plugin for WebP decoding (encoding to be added later).
  - Various others: yadif, srtp, sbc, fluidsynth, midiparse,
    mfc, ivtv, accuraterip and audiofxbad.
  + Moved plugins: dtmf, vp8rtp, scaletempo and rtpmux plugins are
    now in gstreamer-plugins-good.
  + Audio and Video related fixes.
  + Other changes:
  - gst-libav now uses libav 9.
  - Static linking of plugins is supported now.
  - rtspsrc: add support for NetClientClock.
  - RTP retransmission / NACK support and big RTP jitterbuffer
    improvements.
  - SRTP and DTLS support.
  - Changes to many elements and core to use the correct sticky
    event order and also not lose any important sticky events
    during flushing.
  - >1000 fixed bug reports, and many other bug fixes and other
    improvements everywhere that had no bug report.
  + Notes:
  - Single header includes for all libraries,
    e.g. #include <gst/video/video.h>
  - Stricter (correct) caps subset checking in some cases.
  - x264enc now outputs data in byte-stream by default if
    downstream has ANY caps.
  - The MPEG TS demuxer posts messages contain the PMT, PAT,
    etc, in a different format now.
  - The GstContext API has changed between 1.1.4 and 1.1.90.
- Disable translation-update-upstream, as it breaks the build.
- Drop pkgconfig(directfb) BuildRequires: for one, DirectFB is
  outdated and additionally, it's broken in 1.2.0.
- Drop pkgconfig(celt) BuildRequires: celt was replaced by opus.
- Remove library packages of no longer existing libs:
  + libgstbasevideo-1_0-0
  + libgstsignalprocessor-1_0-0
- Add additional subpackages, according the shared library
  packaging policy (also provide -32bit packages):
  + libgstegl-1_0-0
  + libgstinsertbin-1_0-0
  + libgstmpegts-1_0-0
  + libgsturidownloader-1_0-0
- Update devel package dependencies on own libraries.
* Sat Aug 31 2013 zaitor@opensuse.org
- Update to version 1.0.10:
  + build: fix bz2 configure check on Windows.
  + interaudiosrc: make silence memory actually contain silence.
  + neonhttpsrc: allow building with neon-0.30.
  + rtpvp8depay: mark key frames and delta frames properly.
  + pcapparse: fix double unref causing criticals and/or crashes.
  + mpegvideoparse: fix level detection.
  + Bugs fixed: bgo#465924, bgo#705957, bgo#706369, bgo#705550.
- Drop gstreamer-neon-0_30.patch, fixed upstream.
* Sat Aug 24 2013 zaitor@opensuse.org
- Add gstreamer-neon-0_30.patch, fix build with neon-0.30.
* Sun Aug 18 2013 zaitor@opensuse.org
- Add pkgconfig(libopenjpeg1) BuildRequires, in order to build the
  newly available openjpeg decoder/encoder. Also add it's .so to
  filelist (libgstopenjpeg.so).
* Thu Aug 15 2013 zaitor@opensuse.org
- Update to version 1.0.9:
  + midi: add midi parser and fluidsynth midi renderer.
  + winscreencap: port to 1.0.
  + openjpeg: add OpenJPEG-based JPEG2000 decoder and encoder.
  + decklink: add "device-number" to select from multiple devices.
  + decklink: actually enable decklinksink.
  + dvdspu: fix artefacts and invalid memory access when clipping
    subtitles.
  + Bugs fixed: bgo#704505, bgo#705039.
- Add new element midi to gstreamer-plugins-bad-patch-source.sh and
  add it's .so to filelist (libgstmidi.so).
* Sun Jul 28 2013 zaitor@opensuse.org
- Update to version 1.0.8:
  + rfbsrc, neonhttpsrc, ofa, and openal plugins ported to 1.0.
  + mpegvideoparse: don't announce incomplete source caps.
  + tsdemux: many fixes.
  + Bugs fixed: bgo#702495, bgo#674536, bgo#685103, bgo#695412,
    bgo#695879, bgo#697283, bgo#699786, bgo#700038, bgo#700402,
    bgo#702597.
* Sat Apr 27 2013 dimstar@opensuse.org
- Update to version 1.0.7:
  + androidmedia plugin is ported to 1.0.
  + Bugs fixed: bgo#690949, bgo#696361, bgo#696681, bgo#696785,
    bgo#697884.
* Sat Apr 20 2013 dimstar@opensuse.org
- Add pkgconfig(glesv2) BuildRequires: libSDL-devel used to pull
  in Mesa-devel, but that was fixed. And we make explicit use of
  glesv2.
* Wed Mar 27 2013 dimstar@opensuse.org
- Introduce build_wayland defines (currently set to 0) and
  conditionally:
  + Add pkgconfig(wayland-client) BuildRequires.
  + Pass --enable-wayland (resp. disable-wayland) to configure.
  + Adjust the files section accordingly.
* Sat Mar 23 2013 zaitor@opensuse.org
- Update to version 1.0.6:
  + audiovisualizer: fix improper video frame clear operation.
  + codecparsers:
  - h264:
    . add inferred value for slice_beta_offset_div2.
    . zero-initialize SPS VUI parameters.
  - mpeg2:
    . add helpers to convert quantization matrices.
    . store quantization matrices in zigzag scan order.
  - vc1:
    . fix bitplanes decoding.
    . fix calculation of ALTPQUANT.
    . fix parser for DQPROFILE in VOPDQUANT.
    . fix VOPDQUANT parser for DQUANT == 2
  + curltlssink: set correct level of SSL for the transfer.
  + decklink: port to 1.0
  + dvbsrc: handle EINTR from poll.
  + dvdspu: fix rendering of PGS windows with left != 0
  + eglglessink: port to 1.0
  + element-maker: update for 1.0
  + gdppay: fix buffer leak when new caps are same as old caps.
  + interlace: fix negotiation for true interlaced modes.
  + opensles: Port to 1.0
  + opusdec: clear the state of the decoder.
  + opusenc: fix crash when setting "cbr" property when encoder is
    not running yet.
  + opuspay: fix timestamps.
  + tsdemux: expose VC1 streams with missing descriptor.
  + Bugs fixed: bgo#681818, bgo#690738, bgo#692010, bgo#692265,
    bgo#692267, bgo#692270, bgo#692271, bgo#692273, bgo#692312,
    bgo#692698, bgo#692859, bgo#692929, bgo#693000, bgo#693146,
    bgo#693212, bgo#693300, bgo#693324, bgo#695655.
* Wed Jan  9 2013 dimstar@opensuse.org
- Update to version 1.0.5:
  + psdemux: tentative port to 1.0; take into account both DTS and
    PTS
  + shm: Actually get the permissions on get_property
  + waylandsink: do not default to fullscreen mode
  + bgo#690097, bgo#690442.
* Wed Dec 19 2012 dimstar@opensuse.org
- Update to version 1.0.4:
  + mpeg4videoparse:
  - also parse divx 4/5
  - export number of sprite warping points in caps (decoders
    might have no or only limited GMC support)
  + mpegtsmux: propagate flow returns upstream; don't crash when
    reused
  + rtmpsrc: disable seeking if the configured url specifies
    live=true
  + build fixes for OS/X (shm) and Windows (d3dvideosink)
  + Bugs fixed: bgo#688870, bgo#689107, bgo#689183, bgo#690031,
    bgo#690149.
* Thu Nov 22 2012 dimstar@opensuse.org
- Update to version 1.0.3:
  + mpegtsmux: fix DTS/PTS confusion
  + tsdemux, tsparse: seeking fixes
  + tsdemux, tsparse: fix timestamping with push-based input
  + h264parse: fix PPS insertion
  + mpg123audiodec: fix leaks from not chaining up in the finalize
    function
  + Bugs fixed: bgo#686871, bgo#687178, bgo#687806, bgo#688091,
    bgo#688626, bgo#688510.
* Fri Oct 26 2012 dimstar@opensuse.org
- Update to version 1.0.2:
  + Parallel installability with 0.10.x series
  + audioparse: add mode where caps are taken from upstream and
    only timestamping is performed
  + directsoundsrc: port to 1.0
  + dtsdec: fix buffer parsing
  + fieldanalysis: actually build (remove from the NONPORTED
    plugins list)
  + hlsdemux: numerous thread-safety fixes, and an invalid memory
    access fix
  + mpegdemux: handle and combine downstream flow returns better
  + mpegdemux: make work properly with dvdreadsrc
  + mpegtsdemux: PES header parsing fixes; fix potential crash
  + mpegtsdemux: First push EOS, then destroy all programs
  + mpegtsmux: fix buffer refcounting issue
  + mpeg4videoparse: correctly parse the full first frame; properly
    mark config data presence
  + mpegvideoparse: correctly parse the full first frame; signal
    interlacing properly in caps
  + pitch: fix for start times > 0 (e.g. ogg streaming)
  + rtmpsink: handle RTMP_Write() return value correctly, fix
    memory leak
  + scaletempo: fix timestamp and latency query handling, and event
    leak
  + subenc: port to 1.0
  + Bugs fixed: bgo#623387, bgo#673414, bgo#681459, bgo#685709,
    bgo#685895, bgo#686009, bgo#686294, bgo#686327, bgo#686358,
    bgo#686520, bgo#686547, bgo#686595, bgo#686774, bgo#686829.
* Tue Oct 16 2012 coolo@suse.com
- Add explicit pkgconfig(bzip2) BuildRequires.
* Wed Oct 10 2012 reddwarf@opensuse.org
- Remove unported plugins from the file list: LV2, mythtv, nas and xvid
- Add the aac plugin to the file list
- Correct the amr-wb plugin name in the file list
* Tue Oct  9 2012 dimstar@opensuse.org
- Update to version 1.0.1:
  + fieldanalysis and frei0r plugins ported to 1.0
  + DVD playback fixes
  + pitch: transform timestamps properly after a seek
  + camerabin fixes
  + Bugs fixed: bgo#667220, bgo#681562, bgo#681564, bgo#681678,
    bgo#684740, bgo#684847, bgo#685065, bgo#685159.
* Tue Oct  2 2012 dimstar@opensuse.org
- Pass --disable-examples to configure: the examples are not being
  installed anyway and as such it's useless to waste build power
  to create the binaries.
* Mon Sep 24 2012 dimstar@opensuse.org
- Update to version 1.0.0:
  + Minor bug fixes.
  + opusenc: Rank as Primary.
  + Bugs fixed: bgo#683192, bgo#684683
* Tue Sep 18 2012 dimstar@opensuse.org
- Update to version 0.11.99:
  + Move vp8 from -bad to -good
  + freeze: remove freeze element, was replaced by imagefreeze in
  - good years ago.
  + Bugs fixed: bgo#683254, bgo#683263, bgo#683264, bgo#684116a
- Remove libvpx-devel BuildRequires: no longer needed, as the vp8
  encoder/decoder moved to -good.
* Fri Sep 14 2012 zaitor@opensuse.org
- Add pkgconfig(opus) BuildRequires: it's been packaged and landed
  in Factory.
* Fri Sep 14 2012 dimstar@opensuse.org
- Update to version 0.11.94:
  + videoparsers: Disable PTS interpolation in the base parse class
  + dvdspu: Advance video stream with gap events
  + resindvd: Start with a larger subpicture queue for preroll
  + Bugs fixed: bgo#611692, bgo#622482, bgo#629946, bgo#644890,
    bgo#654485, bgo#658436, bgo#660233, bgo#666352, bgo#666626,
    bgo#666674, bgo#667223, bgo#669310, bgo#670608, bgo#673118,
    bgo#674069, bgo#677724, bgo#678060, bgo#678130, bgo#678211,
    bgo#679164, bgo#679373, bgo#679886, bgo#679929, bgo#680494,
    bgo#680667, bgo#680755, bgo#681003, bgo#681115, bgo#681117,
    bgo#681453, bgo#681535, bgo#681952, bgo#682158, bgo#682589,
    bgo#683169, bgo#683175, bgo#683727, bgo#683850, bgo#683858.
* Mon Aug 13 2012 dimstar@opensuse.org
- Update to version 0.11.93:
  + Bug fixes
  + Sync with GStreamer changes.
* Sat Jul 28 2012 dimstar@opensuse.org
- Update to version 0.11.92:
  + Parallel installability with 0.10.x series.
  + API cleanup and minor API improvements.
  + Lots of bugfixes, cleanup and other improvement.
* Mon May 14 2012 vuntz@opensuse.org
- Update to version 0.11.91:
  + Ported asfmux, camerabin, coloreffects, gaudieffects,
    geometrictransform, hls plugins
  + Lots of bugfixes and other improvements
- Update gstreamer-plugins-bad-patch-source.sh (and pre_checkin.sh)
  to deal with xz tarballs.
* Fri Apr 20 2012 vuntz@opensuse.org
- Update to version 0.11.90:
  + Lots of bugfixes, cleanup and other improvements
- Rename packages following upstream soname and typelib name
  changes:
  + libgstbasecamerabinsrc-0_11-0 to libgstbasecamerabinsrc-1_0-0
  + libgstbasevideo-0_11-0 to libgstbasevideo-1_0-0
  + libgstphotography-0_11-0 to libgstphotography-1_0-0
  + libgstsignalprocessor-0_11-0 to libgstsignalprocessor-1_0-0
  + libgstvdp-0_11-0 to libgstvdp-1_0-0
  + libgstcodecparsers-0_11-0 to libgstcodecparsers-1_0-0
- Add libgstcodecparsers-1_0-0 to baselibs.conf: it was forgotten.
* Fri Mar 23 2012 vuntz@opensuse.org
- Update to version 0.11.2:
  + Many cleanups
  + Ported to new 0.11 core API changes
  + bz2: Ported to 0.11
  + celt: Ported to 0.11
  + qtkitvideosrc: Ported to 0.11
  + rawparse: Ported to 0.11
  + removesilence: Ported to 0.11
  + scaletempo: Ported to 0.11
  + schro: Ported to 0.11
  + segmentclip: Ported to 0.11
  + shm: Ported to 0.11
  + smooth: Ported to 0.11
  + vtdec: Ported to 0.11
  + Bugs fixed: bgo#658438, bgo#662618, bgo#665355, bgo#670367.
- Drop libmms bcond: always build against libmms-devel since we
  have it.
- Remove glib-compat-private.h source as it's now in the tarball.
- Add explicit glib2-devel and gstreamer-devel BuildRequires so
  they can be versioned.
- Move to pkgconfig()-style BuildRequires:
  + Old ones: DirectFB-devel, dirac-devel, libass-devel,
    libcdaudio-devel, libcelt-devel, libcurl-devel,
    libdc1394-devel, libdvdnav-devel, libexif-devel, libkate-devel,
    libmjpegutils-devel, libmms-devel, libmodplug-devel,
    libmusicbrainz-devel, libofa-devel, libpng-devel,
    librsvg-devel, libsndfile-devel, libtimidity-devel,
    libvdpau-devel, lv2core-devel, neon-devel, opencv-devel,
    openssl-devel, schroedinger-devel, slv2-devel,
    soundtouch-devel.
  + New ones: cairo, celt, dirac, directfb, dvdnav, dvdread,
    gio-2.0, gmyth, kate, libass, libcdaudio, libcrypto, libcurl,
    libdc1394-2, libexif, libmms, libmodplug, libmusicbrainz,
    libofa, libpng, librsvg-2.0, libtimidity, mjpegtools,
    neon, opencv, openssl, schroedinger-1.0, slv2, sndfile,
    soundtouch, vdpau, x11.
- Add pkgconfig(lrdf) BuildRequires: this enhances the ladspa
  plugin.
- Add pkgconfig(openal) BuildRequires to build new OpenAL sink and
  source elements.
- Add pkgconfig(spandsp) BuildRequires to build new spandsp plugin.
- Add pkgconfig(zvbi-0.2) BuildRequires to build new teletext
  decoder plugin.
- Change python-devel BuildRequires to python-base as only python
  is needed, not the development files.
- Remove BuildRequires for plugins that got removed or moved
  elsewhere: jack-devel, libexempi-devel, libiptcdata-devel,
  libraptor-devel, libtheora-devel.
- Remove BuildRequires that, as far as I can tell, are not needed
  (else, they are implicitly brought in by something else):
  check-devel, libglade2-devel, sgml-skel.
- Remove Provides/Obsoletes for gstreamer010-* packages in
  main and orig-addon subpackages.
- Move to use GTK+ 3 for the build:
  + Replace gtk2-devel BuildRequires with pkgconfig(gtk+-3.0) and
    pkgconfig(gtk+-x11-3.0).
  + Pass --with-gtk=3.0 to configure.
- Add missing Requires for libgstbasecamerabinsrc-0_11-0,
  libgstbasevideo-0_11-0, libgstsignalprocessor-0_11-0,
  libgstvdp-0_11-0 to devel subpackage.
- Add missing %%post/%%postun for libgstcodecparsers-0_11-0 to run
  /sbin/ldconfig.
- Add a build_gstvdp macro, so that we can easily re-enable the
  packaging of the libgstvdp-0.11 library when it will be
  re-enabled in the tarball.
- Synchronize orig build with gstreamer-0_10-plugins-bad:
  + Remove libamrwb-devel BuildRequires.
  + Add pkgconfig(vo-aacenc) and pkgconfig(vo-amrwbenc)
    BuildRequires.
* Sat Feb 18 2012 dimstar@opensuse.org
- Update to version 0.11.1:
  + Many cleanups
  + Ported to new 0.11 core API changes
- Rename package to gstreamer-plugins-bad.
- Drop gstreamer-0_10-plugins-bad-mjpegtool2.patch: new codebase.
* Fri Jan  6 2012 reddwarf@opensuse.org
- Change mjpegtools-devel BR to libmjpegutils-devel to reflect new
  name and fix build in OBS when the two versions are available
* Tue Dec 20 2011 coolo@suse.com
- add autoconf as buildrequire to avoid implicit dependency
* Sat Aug  6 2011 chris@computersalat.de
- fix deps
  o gstreamer-0_10-plugins-base-devel >= 0.10.33
* Fri Jun 24 2011 sbrabec@suse.cz
- Move autoconf call to %%build phase where it belongs.
* Wed Jun  8 2011 reddwarf@opensuse.org
- fix build with mjpegtools 2.0.0
* Thu May 19 2011 reddwarf@opensuse.org
- enable the cURL plugin
* Wed May 11 2011 dimstar@opensuse.org
- Update to version 0.10.22:
  + aiffparse:
  - add support for 32 bit and 64 bit floating point formats
  - the SSND header is 16 bytes large, not 8 + 16 bytes
  + assrender: refactor blitting, avoid writing past end of buffer
  + camerabin2:
  - Add a property to select the encoding profile
  - Add custom filter properties
  - Add image-done message
  - Adding audio support for video recordings
  - Adding properties for image capture settings
  - Add methods for preview image message posting
  - Add preview-filter property
  - Adds new idle property
  - Add viewfinder caps related properties
  - Add viewfinder-sink property
  - Implement previewing
  - Implement tagsetter interface
  - Move preview helper functions to basecamerabinsrc
  - Move to encodebin
  - Moving preview image properties to basecamerasrc
  + camerabin:
  - adding audio related properties
  - Always take photo when preview-caps is set
  - don't rely on the application running the default GLib main
    loop
  - Events with select-all in input-selector
  - Fix corner case for preview posting
  - Use running time for muxing
  + celtenc: Fix compilation with celt >= 0.11.0
  + colorspace:
  - add 16-bit-per-channel handling
  - add dithering and support for r210 and fix YUV->RGB matrixing
  + curlsink: add libcurl-based sink element
  + decklink: Add decklink plugin
  + directdrawsink:
  - avoid aspect-ratio borders overlying other windows
  - avoid rendering to invalid area
  + dshowvideosink: update for latest GstXOverlay changes
  + dvbsuboverlay: Fix using alpha values in blitting
  + dvdspu: don't write clipped lines to the output buffer
  + dvdsubdec: make up clut values if they weren't set
  + fieldanalysis: new fieldanalysis element
  + fpsdisplaysink:
  - add "silent" property, fix "sync" property default value
  - add "frames-dropped" and "frames-rendered" properties
  - add "last-message" property and never print anything to
    stdout
  + gme: fix infinite looping by fading out after two loops
  + h263parse: add an h263parse element
  + hlsdemux: Add HTTP live streaming parser/demuxer element
  + id3mux: map new GST_TAG_ENCODED_BY to ID3v2 TENC frame
  + jifmux: Add GstTagXmpWriter support
  + jp2kdec, jp2kenc: add support v308 (4:4:4 YUV)
  + jp2kdec: post proper error when the image's colour space is not
    supported
  + jpegparse: misc. fixes
  + linsys: Add plugin for Linear Systems SDI boards
  + logoinsert: add "data" property; fix memleaks
  + mpegtsdemux: new (not-yet autoplugged) MPEG TS demuxer rewrite
  + mpegtsmux:
  - add byte-stream to h264 template pad caps
  - don't error out if downstream fails to handle the newsegment
    event
  + mpegtspacketizer: Handle all ISO8859-x encodings in
    get_encoding()
  + opencv: make work with openCV 2.2
  + patchdetect: new element
  + rsvgoverlay:
  - allow negative values for x/y/width/height
  - implement x/y/width/height (absolute and relative)
    positioning and dimensioning
  + rtpvp8: Add simple payloaders and depayloaders for VP8
  + scenechange: new scene change detection element
  + sdi: Add raw SDI muxing/demuxing elements
  + shm:
  - Allow ShmPipe to save a data pointer for applications
  - Keep the ShmPipe alive as long as there are blocks left
  - Make default perm u+rw g+r for shm area
  + shmsink:
  - ensure gst_poll_wait is called first on descriptors
  - Keep shmsink referenced while there are still buffers around
  + shmsrc:
  - Keep GstPoll for whole src lifetime
  - Only connect to sink in PLAYING in live mode
  + vdpau: fixup GstFlowReturn handling
  + vdpausink: fix bug where we didn't setup vdpau on a user set
    window
  + videoparsers:
  - new h263parse element
  - baseparse-based dirac parser, new baseparse-based h264parse
  + xvidenc: proxy downstream caps restrictions upstream via
    get_caps()
  + zebrastripe: New element
  + Bugs fixed: bgo#646211, bgo#608786, bgo#334107, bgo#582167,
    bgo#586848, bgo#591651, bgo#594035, bgo#594280, bgo#602847,
    bgo#611061, bgo#615655, bgo#616814, bgo#617532, bgo#622276,
    bgo#626618, bgo#632056, bgo#639502, bgo#639763, bgo#639841,
    bgo#640286, bgo#640287, bgo#640327, bgo#640561, bgo#640637,
    bgo#640885, bgo#641047, bgo#641178, bgo#641496, bgo#641530,
    bgo#641712, bgo#641796, bgo#641857, bgo#641858, bgo#642116,
    bgo#642658, bgo#642671, bgo#643469, bgo#643471, bgo#643607,
    bgo#644176, bgo#644208, bgo#644429, bgo#645006, bgo#645053,
    bgo#645412, bgo#645420, bgo#645502, bgo#645568, bgo#645711,
    bgo#646256, bgo#646495, bgo#646840, bgo#646955, bgo#647030,
    bgo#647364, bgo#647498, bgo#647564, bgo#647830, bgo#647852,
    bgo#647853, bgo#647854, bgo#648001, bgo#648929, bgo#649005,
    bgo#647751, bgo#621027.
- Add new elements to gstreamer-0_10-plugins-bad-patch-source.sh:
  + fieldanalysis, hls, mpegtsdemux, patchdetect, rtpvp8, sdi,
    videofilters and videoparsers.
- Remove libgstaudioparsersbad.so from files section: it's moved to
  the -good package
- libgstqtdemux has been renamed to libgstmpegtsdemux.so
- Add newly appeared elements:
  + libgstdecklink.so
  + libgstfieldanalysis.so
  + libgstfragmented.so
  + libgstlinsys.so
  + libgstpatchdetect.so
  + libgstrtpvp8.so
  + libgstsdi.so
  + libgstvideofiltersbad.so
  + libgstvideoparsersbad.so
* Wed Apr 27 2011 toddrme2178@gmail.com
- Add 32bit compatibility libraries
* Sat Apr 23 2011 reddwarf@opensuse.org
- Add GME support
- Fix BUILD_ORIG build
* Mon Jan 31 2011 davejplater@gmail.com
- Update to version 0.10.21 : see documentation - NEWS for all
  changes since 0.10.20
- Upstream additions and removals :
  * alsaspdif: removed alsaspdifsink element (replaced by alsasink
  device=spdif)
  * metadata: remove metadata plugin
  * jack: jack plugin has moved to gst-plugins-good (0.10.27)
  * selector: input-selector and output-selector have moved to
  GStreamer core (0.10.32)
  * valve: has moved to gstreamer core (0.10.32)
  * camerabin2: new camerabin element (work-in-progress, experimental)
  * camerabin: add "preview-source-filter","ready-for-capture",
  "idle" properties
  * camerabin: change "zoom" property from int to float
  * camerabin: enable all conversion flags by default to make it
  work out-of-the-box everywhere
  * cog: improvements in colorspace and scaler; add fast paths for
  colorspace conversion
  * colorspace: revive element and add support for many more
  pixellayouts/colorspaces
  * colorspace: add support for SDTV/HDTV YUV conversions
  * dvbsuboverlay: new element to overlay DVB subtitle
  * interlace: new element
  * jp2kdecimator: add a JPEG2000 decimator element (drop details
  without reencoding)
  * y4mdec: new y4mdec element
  * new libgstbasecamerabinsrc-0.10.so.0
* Sun Jan 16 2011 aj@suse.de
- Remove buildrequire on pyxml, requiring python is enough.
* Fri Jan 14 2011 vuntz@opensuse.org
- Remove libgme-devel BuildRequires: it was not submitted to
  Factory, so it makes the build fail. It means we don't have gme
  support.
* Tue Dec 14 2010 reddwarf@opensuse.org
- Add gme support
* Fri Sep 24 2010 vuntz@opensuse.org
- Move libkate-devel BuildRequires out of the orig build, since
  it's now in Factory.
* Tue Sep 21 2010 vuntz@opensuse.org
- Add libtimidity-devel BuildRequires to build the timidity plugin.
- Drop gstreamer010-plugins-bad-libdca-shared.patch: this is not
  needed anymore, since the orig build will have a recent-enough
  version of libdca now.
- Update the list of plugins we patch out of the source to make the
  package really free:
  + This is based on what Fedora does.
  + See bnc#637056 for the discussion. We can ship the muxers and
    demuxers now. However, we can't ship dvdspu, nor siren.
  + Update gstreamer-0_10-plugins-bad-patch-source.sh to be based
    on the gst-p-bad-cleanup.sh script used for
    gstreamer-plugins-bad-free in Fedora.
  + Drop gstreamer010-plugins-bad-patched.patch: the script now
    patches the tarball too.
  + Remove call to autogen.sh/autoconf: this is done by the script
    too.
  + Remove the call to rm after %%makeinstall that removes plugins:
    all plugins that we build are fine now, and since we explicitly
    list plugins in the packages file lists, we can't have a plugin
    there by accident.
  + Regenerate gst-plugins-bad-0.10.20-patched.tar.bz2.
* Wed Sep  8 2010 dimstar@opensuse.org
- Fix files list for full build:
  + amrwbparser has been removed since 0.10.14, migrated to -ugly.
    See also bgo#584890.
  + aacparser was merged into audioparse since 0.10.18.
  + Add mpegpsmux.so, that appeared in version 0.10.14.
- Due to the move of amr to -ugly, remove the libopencore-amr-devel
  BuildRequires.
- Remove obsolete FIXME lines:
  + assrender is being built
- Add some more FIXME lines:
  + flite: a small, fast run time synthesis engine
  + gme: game-music-emu
  + lv2: a standard for plugins and matching host applications,
    mainly targeted at audio processing and generation.
- New built decoders/encoders/muxers:
  + kate: add libkate-devel BuildRequires; plugin is packaged in
    the original addon package.
* Tue Sep  7 2010 dimstar@opensuse.org
- Change xvid-devel BuildRequires to libxvidcore-devel and
  amrwb-devel to libopencore-amr-devel. This is the name used by
  exxternal repositories.
* Mon Sep  6 2010 aj@suse.de
- Change lang package Requires to Recommends since it is not
  mandatory at runtime.
* Fri Sep  3 2010 dimstar@opensuse.org
- Update to version 0.10.20:
  + vdpau: H.264 and MPEG-4 decoder (not enabled for autoplugging
    yet though)
  + vp8enc: support multipass encoding and keyframe-only mode
  + neonhttpsrc: timeout properties and cookie support
  + h264parse and mpegvideoparse: can periodically insert codec
    data into stream now
  + build: require GLib >= 2.20, automake >= 1.10,
    autoconf >= 2.60, want orc
  + asfmux:
  - deprecate "is-live" property, replaced by new "streamable"
    property
  - don't set the 'seekable' flag in headers if we are streaming
  - put headers into "streamheader" field in output caps for
    streaming
  - write preroll info in the header at initialization
  + bayer: support more formats in bayer2rgb, add rgb2bayer element
  + camerabin: make viewfinder-sink property work with bins
  + celt: add support for celt 0.8, remove support for celt < 0.5
  + celtenc: add "prediction" and "start band" properties
  + coloreffects: new element with heat, sepia, xray and
    cross-process effects
  + dshowvideosink: many fixes and improvements
  + fpsdisplaysink: add "fps-update-interval" and read-only
    "max-fps"/"min-fps" properties
  + frei0r: check for plugins in /usr/{local/,}lib{32,64}/frei0r-1
  + gaudieffects: new plugin with burn, chromium, dilate, dodge,
    exclusion, gaussianblur and solarize video effect elements
  + geometrictransform: new plugin with circle, diffuse,
    kaleidoscope, marble, pinch, sphere, twirl, and waterripple,
    fisheye, mirror, square, tunnel, bulge, stretch video effect
    elements
  + gsettings: new GSettings plugin with audio/video sources and
    sinks (to replace gconf plugin)
  + h264parse: add "config-interval" property to insert SPS/PPS at
    periodic intervals
  + h264parse: handle 3-byte bytestream sync codes; process
    incoming timestamps more correctly
  + id3mux: add support for beats-per-minute tag
  + invtelecine: support more video formats, more pulldown formats,
    add "verify-field-flags" property
  + ivfparse: add simple IVF parser element (simple framing for VP8
    video data)
  + jpegformat: add exif writing to jifmux and exif parsing to
    jpegparse
  + jpegparse: skip extra 0xff markers, optimize jpeg image parsing
  + mimic: lots of fixes and clean-ups
  + mpeg4videoparse: add "config-interval" property to re-insert
    config in stream
  + mpegtsmux: start pmt at 0x020; take all the pmt in the
    streamheaders
  + mpegtsparse: actually work when we have small buffers coming in
  + mpegvideoparse: apply previous timestamp when there isn't any
    newer
  + neonhttpsrc: add "connect-timeout", "read-timeout" and
    "cookies" properties
  + qtmux:
  - write audio/video stream bitrates into header, if available
  - write track-number etc. tags even if count is not available
  + rtmpsrc: new RTMP source element based on librtmp
  + rtpdtmfmux: add priority sink pads and drop buffers on
    non-priority sink pads when something is incoming on the
    priority sink
  + rtpmux: add support for GstBufferLists; aggregate incoming
    segments; fix buffer leak
  + shm: add new shm-based shmsink and shmsrc elements for IPC
    using shared memory
  + vdpau: add H.264 decoder and MPEG-4 part 2 decoder; countless
    other fixes and improvements
  + videomaxrate: new plugin/element to limit videorate
    conditionally based on threshold
  + vp8dec:
  - mark discont buffers, set decoder deadline from the QoS
    information
  - allow a maximum keyframe distance of 0, i.e. all frames are
    keyframes
  - fix handling of invisible/alt ref frames
  - add support for enabling automatic insertion of alt-ref
    frames by the encoder
  - implement multipass encoding
  + wildmidi: Add support for wildmidi 0.2.3
  + Bugs fixed: bgo#625908, bgo#625076, bgo#620746, bgo#566614,
    bgo#570428, bgo#574290, bgo#579926, bgo#580967, bgo#591622,
    bgo#602551, bgo#602936, bgo#613346, bgo#616265, bgo#618336,
    bgo#618522, bgo#618921, bgo#618936, bgo#620324, bgo#620717,
    bgo#620825, bgo#620978, bgo#621205, bgo#621348, bgo#621523,
    bgo#622369, bgo#622484, bgo#622690, bgo#622692, bgo#622725,
    bgo#623272, bgo#623365, bgo#623550, bgo#623678, bgo#623710,
    bgo#623713, bgo#623722, bgo#623802, bgo#623854, bgo#623881,
    bgo#623883, bgo#625003, bgo#625138, bgo#625174, bgo#625496,
    bgo#625722, bgo#625817, bgo#625959, bgo#626049, bgo#626603,
    bgo#626670, bgo#626815, bgo#627413, bgo#627918, bgo#627991,
    bgo#624212, bgo#619158, bgo#619484, bgo#621404
- Drop gstreamer-0_10-plugins-bad-remove-cog_test.patch, upstream
  included.
- Rebase gstreamer010-plugins-bad-patched.patch.
- Remove liboil-devel BuildRequires.
- gst-camera.ui is no longer installed, so we can drop the hack to
  delete it ourselves.
- Add libvdpau-devel BuildRequires.
- Split out libgstvdp-0_10-0 subpackage.
- Add gsettings macros to preamble, post and postun.
* Mon Aug 30 2010 vuntz@opensuse.org
- Reenable the VP8 plugin by adding libvpx-devel BuildRequires
  back.
* Mon Aug 30 2010 vuntz@opensuse.org
- Remove libvpx-devel BuildRequires for now since it's not in
  Factory yet.
* Wed Aug 25 2010 vuntz@opensuse.org
- Add libvpx-devel BuildRequires for WebM support.
- Manually remove gst-camera.ui since gst-camera is not installed
  anymore.
* Thu Aug 12 2010 dimstar@opensuse.org
- Update to version 0.10.19:
  + audioparsers: add bitrate calculation
  + camerabin:
  - add API to query supported image capture resolution
  - add block-after-capture property for viewfinder blocking
  - add video-capture-width/height/framerate properties
  - add video-source-filter and viewfinder-filter properties
  + capssetter: element was moved to gst-plugins-good
  + cogcolorspace: implement color-matrix handling and chroma-site
  + dc1394: add iso-speed property
  + dshowvideosrc: add support for YUY2 input format
  + festival: don't open an infinite number of connections to the
    server and close connections
  + h264parse:
  - fix writing NALU prefix for byte-stream output format
  - fix wrong timestamps in some cases after seeking
  + imagefreeze: plugin was moved to gst-plugins-good
  + invtelecine: add invtelecine element
  + jackaudiosrc: implement multichannel support
  + jpegformat: add xmp reading and writing support
  + ladspa, lv2: don't fail in plugin_init when having 0 elements
    (which would cause the plugin to get blacklisted)
  + mmssrc:
  - Check URI for validity and work around URI parsing bugs in
    libmms
  - Use the escaped location for the RTSP redirect message
  + mpegtsdemux: add support for Blu-Ray style DTS and the two DTS
    HD stream types
  + mpegtsparse: parse TDT table in mpegts
  + mpegvideoparse: export profile and level in caps; estimate
    bitrate; update caps when sequence header changes
  + oss4: plugin was moved to gst-plugins-good
  + qtmux: add support for the VP8 video codec and XMP tags
  + segmentclip: add audio/video buffer segment clip elements
  + vcdsrc: support the DVD URI scheme so a device can be specified
    via the URI
  + vp8: add libvpx-based VP8 encoder/decoder
  + Bugs fixed: bgo#572551, bgo#603745, bgo#611302, bgo#612208,
    bgo#612331, bgo#612454, bgo#612615, bgo#612687, bgo#612757,
    bgo#613156, bgo#613160, bgo#613332, bgo#613708, bgo#613758,
    bgo#613795, bgo#613920, bgo#614016, bgo#614037, bgo#614259,
    bgo#614349, bgo#614475, bgo#614479, bgo#614591, bgo#614958,
    bgo#614991, bgo#616078, bgo#616541, bgo#617145, bgo#617146,
    bgo#617331, bgo#617650, bgo#618044, bgo#618388, bgo#618409,
    bgo#618527, bgo#618710, bgo#618867, bgo#619064, bgo#619169,
    bgo#619172, bgo#619290, bgo#619317, bgo#619318, bgo#619344,
    bgo#619444, bgo#619502, bgo#619617, bgo#619916, bgo#614317
- Drop gstreamer010-plugins-bad-libpng14.patch: fixed upstream.
- Add gstreamer-0_10-plugins-bad-remove-cog_test.patch to fix
  build, which chokes on BRP checks. The patch is from upstream,
  commit 106cf3
- Add librsvg-devel BuildRequires.
* Sun Jul 18 2010 vuntz@opensuse.org
- Add explicit BuildRequires on orc since it's needed for the cog
  plugin (it was brought by the schroedinger-devel package before).
* Tue Apr 20 2010 davejplater@gmail.com
- Provides gstreamer-0_10-schroedinger = 1.0.8 to ensure a clean
  update of gstreamer-0_10-schroedinger to this package
* Fri Apr  9 2010 vuntz@opensuse.org
- Add gstreamer010-plugins-bad-libpng14.patch taken from upstream,
  to correctly detect recent libpng.
* Thu Mar 25 2010 vuntz@opensuse.org
- Build the schroedinger plugin that was moved from schroedinger to
  here:
  + Add schroedinger-devel BuildRequires to build the schroedinger
    plugin.
  + Provides and Obsoletes gstreamer-0_10-schroedinger.
* Mon Mar  8 2010 dimstar@opensuse.org
- Update to version 0.10.18:
  + Features of tis release:
  - aacparse: lots of fixes, now based on common baseparser class
    and merged into audioparser plugin
  - ac3parse: new AC3 parser element based on common baseparser
    class and part of new audioparser plugin
  - adpcmenc: new adpcm encoder element
  - aiffmux: new aiff muxer element
  - amrparse: use (default) time handling of baseparser class,
    merged into audioparser plugin
  - apexsink: change volume property to a double to make work
    with playbin2
  - asfmux: handle streams with different start times
  - asfmux: improve compatibility with WMSP in WMP
  - asfmux, rfbsrc, vmnc, mpegdemux, resindvd: fix alignment and
    endianness issues
  - assrender: countless fixes and improvements
  - audioparsers: rename baseparse GType name to avoid possible
    conflicts
  - audioparsers: fix seek handling, newsegment sending, push
    mode data draining
  - celt: make compile against earlier CELT versions
  - configure: call $PKG_CONFIG instead of pkg-config to fix
    cross compilation
  - dataurisrc: new source element for data:// URIs
  - faac: lots of fixes (channel layout, output caps, bps
    estimation etc.)
  - flacparse: fix multiple channel frame parsing; merged into
    new audioparser plugin
  - fpsdisplaysink: expose video sink using a property
  - h264parse: Correctly rewrite all nal prefixes
  - h264parse: fix caps parameters setting, framerate calculation
  - h264parse: fix regression in output buffer timestamping
  - h264parse: optionally output AUs rather than NALUs or
    transform from bytestream to sample format and vice versa
  - h264parse: parse SPS some more (e.g. for width/height)
  - ivorbisdec: moved to -base (to reuse same codebase as
    vorbisdec)
  - jpegformat: new jifmux element
  - jpegparse: new jpeg parser element (not autoplugged for now)
  - mmssrc: post error message in addition to redirect when
    connect fails
  - mpegtsdemux: Handle eac3 in PMT
  - mpegtsmux: add pat-interval and pmt-interval properties
  - mpegtsmux: Do not crash on misinterpreted h264
  - mpegtsmux: Fix mistake on previous commit
  - mpegtsmux: fix PAT/PMT insertion frequency, add PAT/PMT in
    streamheader
  - mpegtsmux: mark delta-unit on outgoing buffers
  - qtmux: add moov recovery feature (to finalise recording after
    crash or so)
  - qtmux: improves compatibility with some hardware players
  - qtmux: add support for ALAC, SVQ3, IMA ADPCM; improve j2k
    handling
  - qtmux: misc. tag writing fixes: write all udta children
    atoms; crash less
  - shapewipe: moved to -bad
  - vdpau: lots of fixes and refactoring
  + Bugs fixed: bgo#606657, bgo#607513, bgo#440476, bgo#530513,
    bgo#563433, bgo#575878, bgo#583098, bgo#598350, bgo#598682,
    bgo#598916, bgo#600409, bgo#601108, bgo#601417, bgo#602161,
    bgo#602465, bgo#602524, bgo#602528, bgo#603938, bgo#603983,
    bgo#603986, bgo#604099, bgo#604101, bgo#604280, bgo#604311,
    bgo#604908, bgo#604925, bgo#605720, bgo#605721, bgo#605904,
    bgo#606371, bgo#606636, bgo#606665, bgo#606677, bgo#606726,
    bgo#606859, bgo#607105, bgo#607285, bgo#607555, bgo#607747,
    bgo#608042, bgo#608651, bgo#608706, bgo#608751, bgo#608753,
    bgo#608896, bgo#608998, bgo#609055, bgo#609215, bgo#609478,
    bgo#164870, bgo#383478, bgo#606878, bgo#580731, bgo#587922,
    bgo#601576
* Wed Mar  3 2010 dimstar@opensuse.org
- Update to version 0.10.17:
  + Fix DVD playback
  + New elements: DTMF tone source and detector
  + ASS subtitle support improvements
  + Fix compilation on OS/X Snow Leopard
  + Support DVB 3.3 API
  + Inputselector fixes
  + Bugs fixed:
- Changes from version 0.10.16
  + Fix various bugs in the 0.10.15 release
  + Fix a deadlock in starting DVD
  + Fix compilation problems
  + Allow libneon versions >= 29.x
- Changes from version 0.10.15
  + Add barcode scanner plugin using the zbar library
  + Improvements to camerabin
  + Support audio-track format switching in DVD
  + Improve parsing and display of PGS subpictures
  + Add Cog plugin
  + Add LV2 plugin support
  + Improve VDPAU plugin. Add post-processing support
  + Add videomeasure plugin
  + Improve Siren codec
  + Improved Directshow capture element
  + Add EAC3 mapping in MPEG-TS playback
  + Improve AAC encoding
  + Improved MIDI file playback
  + Improve H-264 parsing
  + Add MPEG-PS muxer
  + Add PNM encoder and decoder
  + Add SVG decoder
  + Update GLib dependency to GLib 2.16
  + Various other bug fixes and improvements (see ChangeLog)
- Changes from version 0.10.14
  + Moved rtpmanager to -good
  + Moved dirac elements from schroedinger to gst-plugins-bad
    (new schroedinger release without the gstreamer elements
    will follow shortly)
  + amrwb: Remove AMR-WB parser and decoder and rename encoder
    plugin from amrwb to amrwbenc (the removed elements will
    re-appear in the next -ugly release; no migration strategy
    provided in this case because of the special status of the
    amrwb plugin)
  + asfmux, rtpasfpay: add ASF muxer and windows media payloader
  + basevideo: add experimental video base class library/API
  + camerabin: lots of fixes and improvements
  + capssetter: new element for debugging purposes
  + directdraw: Implement GstNavigation interface
  + directshow: refactor and improve dshowsrcwrapper, dshowideosrc,
    dshowaudiosrc
  + frei0r: wrapper for frei0r video filter plugins
  + gme: add libgme plugin which supersedes the existing OpenSPC
    spc plugin
  + Implement SEEKING query in more demuxers and decoders (notably
    mpeg-ps/mpeg-ts, mxf, musepack, rawparse)
  + kate: add kate subtitle encoder, decoder and overlay
  + mimic: lots of fixes for mimenc and mimdec; add "paused mode"
  + mpegpsdemux: added caps for AAC and fixed playback of a clip
    with LPCM
  + mpegtsdemux: added VC1, EAC3 and LPCM related to blueray/hdmv
  + qtmux: handle pixel-aspect-ratio; misc. other fixes and
    improvements
  + shapewipe: support ARGB/RGBA for video input/output; fix for
    still images
  + vdpau: add experimental vdpau plugin
- Update gstreamer-0_10-plugins-bad-patch-source.sh and
  gstreamer010-plugins-bad-patched.patch to also drop mpegpsmux
  from the patched source tarball and from configure.ac
- Drop gstreamer010-plugins-bad-libass-0.9.7.patch, upstream fixed.
- Filelist: xdgmime has been moved to -base, rtpmanager to -good,
  aiffparse was renamed to aiff.
- Split out the two new libraries accoring SLPP.
* Mon Dec 14 2009 aj@suse.de
- Refresh patches with fuzz=0.
* Mon Oct 26 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Thu Oct  1 2009 lnussel@suse.de
- optionally enable libmms
- make divx4linux optional too as it's binary only
* Tue Aug 11 2009 sbrabec@suse.cz
- Updated to version 0.10.13:
  * New shapewipe video transition plugin
  * qtmux improvements
  * camerabin improvements
  * HDV MPEG-TS private streams support
  * Output interlacing information in mpegvideoparse
  * MS-ADPCM decoder
  * RTP fixes and enhancements
  * DTS decoder improvements
  * New ID3 tagging plugin that supports v1, v2.3 and v2.4
  * Support for PGS (BluRay) subtitles
  * Many other bug fixes and enhancements
  * Bugs fixed: bgo#584945, bgo#511097, bgo#561752, bgo#584164,
    bgo#584165, bgo#584360, bgo#585015, bgo#585660, bgo#584114,
    bgo#583188, bgo#583627
- Split according to shard library packaging policy.
* Fri May 22 2009 vuntz@novell.com
- Update to version 0.10.12:
  + Presets support in several elements
  + Support ITV MPEG-TS streams
  + New element: flvmux
  + New element: osxvideosrc
  + Fixes in RTP elements
  + camerabin fixes
  + Improved QT/mp4 muxing
  + xdgmime based content type guessing
  + deinterlace2 moved to the Good plugins (replacing deinterlace)
  + Support for MXF muxing, and improved MXF demuxing
  + Greatly improved DVD playback
  + DirectDraw element moved back from Good plugins
  + Many other bug fixes and improvements
  + Bugs fixed: bgo#573852, bgo#574401, bgo#580091, bgo#153684,
    bgo#537700, bgo#569437, bgo#569673, bgo#569781, bgo#573595,
    bgo#573846, bgo#573847, bgo#573848, bgo#573849, bgo#575388,
    bgo#575736, bgo#576408, bgo#577690, bgo#577864, bgo#578112,
    bgo#578562, bgo#578563, bgo#580133, bgo#580144, bgo#580786,
    bgo#580901, bgo#581375, bgo#582013, bgo#582074, bgo#582208,
    bgo#582483, bgo#582656, bgo#582702, bgo#583337, bgo#580585,
    bgo#577843, bgo#581593, bgo#575284, bgo#576021, bgo#576712,
    bgo#581427
- Drop gst-plugins-bad-soundtouch14.patch: fixed upstream.
- Remove useless change in configure.ac for swfdec: this plugin
  doesn't compile anyway.
* Mon May 11 2009 sbrabec@suse.cz
- Build with external modplug.
- Fix for the latest soundtouch.
- Don't call autogen in older products.
- patch-source script included as source.
* Mon Mar 23 2009 vuntz@novell.com
- Update to version 0.10.11:
  + Add ASS/SSA subtitle handling element assrender
  + Leak fixes in the QuickTime decoder wrapper
  + Better DirectShow output on Windows
  + Extend QT muxing support to include AMR and H.263
  + mms seeking support
  + Extended MXF file format handling
  + camerabin and photography API for digital camera interfacing
  + Merge elements from Farsight: liveadder, sirendec, sirenenc,
    valve, rtpdtmfsrc, rtpdtmdepay, dtmfsrc, rtpdtmfmux,
    autoconvert, mimdec, mimenc
  + typefinder based on xdgmime
  + Bugs fixed: bgo#573369, bgo#568704, bgo#354908, bgo#369912,
    bgo#469930, bgo#481075, bgo#549645, bgo#567003, bgo#567371,
    bgo#567828, bgo#567965, bgo#568480, bgo#568483, bgo#568837,
    bgo#569323, bgo#570996, bgo#571560, bgo#572315, bgo#572900,
    bgo#573288, bgo#573391, bgo#575157, bgo#575565, bgo#564114,
    bgo#573850, bgo#573851, bgo#172043
- Respin gstreamer010-plugins-bad-patched.patch.
- Respin gstreamer010-plugins-bad-libdca-shared.patch.
- Drop gstreamer010-plugins-bad-swfdec04.patch: this old patch
  attempt that we don't use is for an old swfdec anyway.
- Remove -fno-strict-aliasing from CFLAGS.
- Remove checks for old versions of openSUSE.
- Remove unneeded BuildRequires: ladspa.
- Update file list.
- Add many FIXME about plugins which cannot build because we're
  lacking some packages.
- Add call to ldconfig since there's a library in the package now.
* Tue Feb 24 2009 sbrabec@suse.cz
- Updated to version 0.10.10:
  * New MXF demuxer added
  * JPEG-2000 encoder - jp2enc added
  * RTP support
  * Fixes for RTP support
  * Add parsers for AAC and AMR
  * Move libgstapp and elements to -base
  * Add Quicktime muxer element qtmux
  * Enhance RFB capture
  * Improve MPEG-TS and MPEG-PS demuxing
  * Introduce audioringbuffer element
  * Improve DVD playback of ResinDVD components
  * Move old audioresample from -base as legacyaudioresample
  * Improve speexresampler, and then move it to -base
  * Improve FLV demuxing and parsing
  * Various DVB input fixes
  * Add support for frequency list descriptors for DVB
  * Improve MPEG-TS muxer
  * New CELT encoder and decoder
  * New TwoLAME encoder
  * New DCCP element
  * New AIFF parser element
  * New APEX sink element
  * deinterlace2 element improvements
  * New JACK audio src element
  * New winscreencap, winks and pcapparse plugins
  * x624enc fixes
  * Support for ATSC tuning and channels.conf parsing
  * RTP improvements
  * New scaletempo element
  * Add Fluendo MPEG-TS muxer
  * Add Fluendo MPEG-TS and MPEG-PS demuxers
  * New JPEG2000 element
  * New FLAC parser element
  * DVD playback improvements
  * Improved DirectShow decoding support
  * New Windows Audio Session audio src element
  * New FLV muxer element
  * Many other bug fixes and improvements
* Thu Feb  5 2009 vuntz@novell.com
- Don't package the libgstapp-related files: they moved to
  gstreamer-0_10-plugins-base. This can be removed once we upgrade
  to latest upstream.
* Tue Nov 25 2008 sbrabec@suse.cz
- Patch source code to remove unwanted codecs, added correct
  conflicts for seamless upgrade. (bnc#441855)
* Thu Nov  6 2008 sbrabec@suse.cz
- Build dc1394, dirac, mplex, musepack and sndfile modules
  (bnc#441855).
- Build with EXIF, IPTC, XMP support in metadata module.
- Fixed valgrid BuildRequires.
* Wed Oct 22 2008 sbrabec@suse.cz
- Improvements of optional patches.
* Fri Sep 12 2008 maw@suse.de
- Update to version 0.10.8:
  + OSS v4 support
  + libdc1394 2.0.0 support
  + AAC support fixes
  + RTP support improved
  + New OFA element
  + SRT subtitle encoder added
  + Windows Inet support for http/ftp
  + Fixes in dc1394, MIDI, MPEG-2 encoding, MythTV input, NAS
  + Fixes in Bayer decoder, replaygain analysis, GSM decoder
  + DVB/MPEG-TS support improved
  + NSF decoder updated
  + 'metadata' plugin enhancements
  + Dirac encoder ported to libschroedinger
  + mplex element ported to 0.10
  + VCD/CDXA parser ported to 0.10
  + Directshow wrapper improvements
  + 'selector' plugin enhancements
  + souphttpsrc moved to the -good module
  + Various other fixes and enhancements
  + Support shared desktops in RFB input
  + Make the Quicktime codec wrapper work on win32
  + Experimental DVD navigation support
  + Support AAC/H.264 in FLV files
  + Fixes in the DirectShow codec wrapper
  + Fix the Real codec wrapper plugin
  + New deinterlace2 plugin incorporating TVtime deinterlacers
  + Handle seeking, timestamps, duration in RAW video/audio parsers
  + New DirectShow video sink for Win32
  + FAAD reverse playback support
  + OSS4 support improvements
  + MythTV seeking support
  + SPC decoder now supports seeking, tags and duration queries
  + Replaygain elements moved to Good
  + Deinterleave/interleave elements fixed and moved to Good
  + MPEG-4 video stream parser fixes
  + Improved MPEG-TS parsing for DVB support
  + Improvements in App source/sink
  + RTP manager enhancements
  + Bugs fixed: bfo#498237, bfo#529378, bfo#351309, bfo#469979,
    bfo#494499, bfo#514948, bfo#514964, bfo#517937, bfo#518227,
    bfo#518722, bfo#519905, bfo#520329, bfo#520626, bfo#520892,
    bfo#520894, bfo#520897, bfo#521749, bfo#522134, bfo#522212,
    bfo#522884, bfo#523854, bfo#524035, bfo#525271, bfo#526337,
    bfo#527622, bfo#528000, bfo#528011, bfo#528245, bfo#528266,
    bfo#528614, bfo#529283, bfo#529285, bfo#517854, bfo#517895,
    bfo#517896, bfo#525100, bfo#481354, bfo#533736, bfo#544050,
    bfo#454151, bfo#506594, bfo#521392, bfo#525613, bfo#528618,
    bfo#529359, bfo#530611, bfo#531840, bfo#531955, bfo#532723,
    bfo#533435, bfo#533559, bfo#535043, bfo#536042, bfo#536258,
    bfo#536856, bfo#538560, bfo#539292, bfo#539601, bfo#541522,
    bfo#541543, bfo#543286, bfo#543846, bfo#543848, bfo#543860,
    bfo#543861, bfo#544457, bfo#526905, bfo#532011, and bfo#536309.
* Mon May 19 2008 schwab@suse.de
- Fix real patch.
* Tue Apr  8 2008 sbrabec@suse.cz
- Fixed Obsoletes (bnc#357153).
* Mon Mar 10 2008 maw@suse.de
- Update to version 0.10.6:
  +       * DVB support added
  + dc1394 support
  + RTP-manager improvements
  + Support for native QT codecs on OS/X and DirectShow codecs on Windows,
    courtesy of Songbird and Fluendo
  + New elements: flvdemux, flvparse, mpegtsparse, dvbsrc, dvdspu
  + More new elements: mpeg4videoparse, metadatademux/mux, souphttpsrc,
    speexresample, qtwrapper
  + Even more new elements: rawaudioparse, fbdevsink
  + Renamed elements/plugins: switch (now selector), pitch (now soundtouch)
  + Elements graduated to good: multifilesrc/sink, spectrum, equalizer,
    bpwsinc, lpwsinc
  + Elements graduated to ugly: xingmux (now part of mpegaudioparse)
  + OpenGL support moved to new module: gst-plugins-gl
  + appsrc/appsink improvements
  + Fixes in neonhttpsrc
  + Fixes in amrwbparse
  + Deinterlacer improvements
  + Fixes in dtsdec
  + Fixes in the Real codec wrappers
  + Bugs fixed: bgo#321240, bgo#508029, bgo#508294, bgo#387251,
    bgo#393461, bgo#395424, bgo#397759, bgo#403992, bgo#409974,
    bgo#426657, bgo#433373, bgo#444499, bgo#450175, bgo#450605,
    bgo#452009, bgo#452258, bgo#453636, bgo#454078, bgo#454313,
    bgo#456901, bgo#456912, bgo#461068, bgo#461373, bgo#461377,
    bgo#461601, bgo#462737, bgo#464678, bgo#468039, bgo#471554,
    bgo#473562, bgo#474969, bgo#476128, bgo#476148, bgo#476159,
    bgo#476370, bgo#477306, bgo#478566, bgo#481200, bgo#481276,
    bgo#481279, bgo#483400, bgo#484990, bgo#485462, bgo#487496,
    bgo#487892, bgo#487901, bgo#490060, bgo#490682, bgo#492406,
    bgo#492798, bgo#496221, bgo#498430, bgo#498667, bgo#498755,
    bgo#499008, bgo#500099, bgo#500142, bgo#501579, bgo#502335,
    bgo#502879, bgo#503308, bgo#507020, bgo#507584, bgo#507940,
    bgo#508515, bgo#508587, bgo#508979, bgo#510708, bgo#511001,
    bgo#511146, bgo#511530, bgo#511683, bgo#511686, bgo#511920,
    bgo#512654, bgo#512774, bgo#512826, bgo#514093, bgo#515564,
    bgo#515567, bgo#515588, bgo#515720, bgo#515721, bgo#515722,
    bgo#515815, bgo#515860, bgo#515919, bgo#515964, bgo#515970,
    bgo#516061, bgo#516094, bgo#516114, bgo#516160, bgo#516436,
    bgo#516448, bgo#516499, bgo#517391, bgo#517571, bgo#517684,
    bgo#478159, bgo#497020, and bgo#501562
- Drop gstreamer010-plugins-bad-ac.patch and
  gstreamer010-plugins-bad-soundtouch-1.0.patch
- Several plugins have been moved from this package to
  gstreamer-0_10-plugins-good.
* Tue Jan 22 2008 sbrabec@suse.cz
- Split package according to shared library packaging policy
  (#223286).
- Created lang package.
* Thu Oct 18 2007 maw@suse.de
- Only package %%{_libdir}/gstreamer-%%{gst_branch}/libgstneonhttpsrc.so
  on 10.2 and 10.3
- Add several requirements to the -devel subpackage.
* Tue Oct 16 2007 sbrabec@suse.cz
- Fixed backslash expansion in previous change.
* Mon Oct 15 2007 sbrabec@suse.cz
- Worked around OBS spec file corruption bug (#332132).
* Fri Oct  5 2007 sbrabec@suse.cz
- Use less restrictive Requires based on the sources.
* Fri Sep  7 2007 schwab@suse.de
- Fix file list.
* Thu Aug  2 2007 sbrabec@suse.cz
- Use Enhances: gstreamer010 instead of Supplements (#294358).
* Thu Jun 21 2007 sbrabec@suse.cz
- Updated to version 0.10.5:
  * New plugin - realdec for decoding Real streams using binary
    libs
  * New plugin - MythTV source
  * New plugin - appsrc (for application data insertion)
  * New plugin - VMnc VMware capture decoder
  * New plugin - JACK audio output
  * New plugin - interleave/deinterleave
  * New plugin - RTP manager
  * New plugin - Bayer to RGB converter
  * New plugin - ReplayGain support
  * New plugin - DirectShow win32 input support
  * New plugin - videosignal/videoanalyse
  * LADSPA plugin improvements
  * IIR equaliser ported to 0.10 (iirequalizer)
  * libsndfile output ported to 0.10
  * mpegvideoparse ported to 0.10 and improved
  * switch element ported to 0.10
  * VCD source element ported to 0.10
  * AMR-WB support fixes
  * MIDI renderer plugin based on timidity
  * qtdemux, wavpack and videocrop plugins moved to the Good module
  * Many other bug fixes and improvements
  * Parallel installability with 0.8.x series
  * Threadsafe design and API
* Wed May 16 2007 sbrabec@suse.cz
- Use Supplements instead of not yet supported Enhances.
* Thu May 10 2007 ro@suse.de
- added ladspa-devel to buildrequires
* Thu Apr 19 2007 schwab@suse.de
- Fix quoting in autoconf macros.
* Tue Apr 17 2007 sbrabec@suse.cz
- Removed NoSource - there is no problematic code.
* Wed Mar 28 2007 sbrabec@suse.cz
- Updated to version 0.10.4:
  * V4L2 source element moved to Good plugins
  * Many improvements in Quicktime playback
  * Xvid encoding and decoding improvements
  * FAAD decoder fixes
  * New element: alsaspdifsink for IEC958 output
  * Spectrum FFT analysis element ported
  * New element: h264parse. H.264 Parser
  * Fixes in bz2 support
  * New element: theoraexpdec. Libtheoraexp based Theora decoder
  * New element: wavpackenc. Wavpack decoder
  * Improvements in the libneon based http source
  * gstfilter ported to 0.10
  * mpeg2enc ported to 0.10
  * New element: nsfdec. NSF decoder
  * New element: spcdec. libopenspc based SPC decoder
  * videocrop ported/re-written from 0.8
  * cdaudio element ported to 0.10
  * New element: rganalysis. ReplayGain analysis element
  * New element: dvbsrc. DVB source element (disabled by default)
  * deinterlace (Simple deinterlacer) ported from 0.8
  * New element: nuvdemux. NUV video demuxer
  * Fixes in the DirectDraw output elements
  * New elements: multifilesrc, multifilesink
  * y4mencode ported from 0.8
  * rfbsrc, librfb based capture source ported from 0.8
  * New element: jackaudiosink. JACK audio output element
  * Many fixes and improvements
- Support for BUILD_ORIG and BUILD_ORIG_ADDON defines (#237351).
* Fri Mar  2 2007 sbrabec@suse.cz
- Fixed BuildRequires to build on all products.
* Tue Feb  6 2007 sbrabec@suse.cz
- Reduced BuildRequires.
* Mon Dec 18 2006 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Mon Dec 11 2006 sbrabec@suse.cz
- Fixed build for 10.2.
* Tue Nov 28 2006 sbrabec@suse.cz
- Build correctly in older products.
* Thu Nov  9 2006 sbrabec@suse.cz
- Fixed linking of plugins with latest packages.
* Mon Oct 16 2006 ro@suse.de
- use DirectFB-devel in BuildRequires
* Sun Jul 23 2006 olh@suse.de
- readd gcc-c++ to buildrequires
  adapt for neon 0.26 API
* Tue Jun 27 2006 sbrabec@suse.cz
- Build with libdca-devel.
* Tue Jun 20 2006 sbrabec@suse.cz
- Updated to version 0.10.3:
  * FAAD/AAC decoder improvements
  * Better QuickTime support
  * Plugins ported from 0.8: modplug, v4l2src, Musicbrainz TRM
  * New plugins: Xing muxer, libsoundtouch, AMR-WB, theora-exp
  * Musepack decoder improved
  * libneon based http input now supports iradio mode
  * More uniform plugin descriptions
  * Many bug fixes
- Added support for more plugins.
* Wed Mar 22 2006 hvogel@suse.de
- add gcc-c++ to buildrequires for some configure check
* Fri Feb 24 2006 jpr@suse.de
- Update to 0.10.1
- Changes since 0.10.0:
  * Parallel installability with 0.8.x series
  * Threadsafe design and API
  * Lots of fixes for the QT/MOV demuxer, including restoring
    the ability to play web streams, and more codecs supported
  * AAC decoder fixes
  * MMS source fixes
  * DirectFB plugin updated
  * New plugins ported to 0.10: swfdec, XVid, dtsdec, glimagesink
  * New libneon based http source filter
  * APE tag reader moved to gst-plugins-good module
  Bugs fixed since 0.10.0:
  * 303167 : Add bzip2 support
  * 322973 : [wavpack] erroneous sampling rates range
  * 326524 : Support for Indeo 3-encoded QuickTime files
  * 327133 : [qtdemux] QuickTime with 8-bit audio
  * 328854 : AAC+ stream not working with FAAD plugin
  * 330089 : [bz2] Wrong mimetype and no typefinding
  * 331302 : bz2 plugin source files lack copyright notices
  * 331543 : crash on iTunes MPEG v4 AAC-LC files
  * 331582 : [qtdemux] protect log statement against invalid memory access
* Tue Feb 14 2006 sbrabec@suse.cz
- Fixed Requires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 ro@suse.de
- avoid gstreamer installation (-gstreamer in nfb)
* Wed Jan 18 2006 sbrabec@suse.cz
- Build again with -export-symbols-regex.
* Mon Jan  9 2006 sbrabec@suse.cz
- Build GSM modules.
* Fri Jan  6 2006 sbrabec@suse.cz
- New SuSE package, version 0.10.0.
- Worked around -export-symbols-regex libtool problems.
